if UCV == nil then UCV = {} end

local ADDON_NAME = GetString(UCV_GUI_TITLE)
local ADDON_AUTHOR = "Urich"
local ADDON_VERSION = "2.0.7"
local strF = string.format

function UCV:SetupMenu()
	local UCV_LAM2 = LibStub("LibAddonMenu-2.0")
	if (not UCV_LAM2) then return end
	
	UCV.panelData = {
		type = "panel",
		name = ADDON_NAME,
		displayName = GetString(UCV_STG_TITLE),
		author = ADDON_AUTHOR,
		version = ADDON_VERSION,
		slashCommand = "/ucvmenu",
		registerForRefresh = true,
		registerForDefaults = true,
	}
	UCV_LAM2:RegisterAddonPanel(ADDON_NAME, UCV.panelData)

	UCV.optionsTable = {
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MAIN_TITLE)),
			width = "full",
		},
		
		--Show/Hide the Window
		{
			type = "checkbox",
			name = GetString(UCV_STG_MAIN_SHW),
			tooltip = GetString(UCV_STG_MAIN_SHOW),
			getFunc = function() return UCV.sVar.active end,
			setFunc = function(value) UCV.sVar.active = value; UCV.active = value end,
			width = "half",
		},
		
		--Lock/Unlock the Window
		{
			type = "checkbox",
			name = GetString(UCV_STG_MAIN_LUW),
			tooltip = GetString(UCV_STG_MAIN_LOCK),
			getFunc = function() return UCV.sVar.isLocked end,
			setFunc = function(value) UCV.sVar.isLocked = value; UCV.isLocked = value end,
			width = "half",
		},
		
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MATS_TITLE)),
			width = "full",
		},
		{
			type = "description",
			title = nil,	--(optional)
			text = GetString(UCV_STG_MATS_DESC),
			width = "full",
		},
		
		--Clothing Materials Settings
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MATS_CL_1)),
			width = "full",
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_CL_2),
			controls = {
				{
					itemId = 812,
					type = "checkbox",
					name = UCV:GetName(812),
					getFunc = function() return UCV:ListContains(812) end,
					setFunc = function(value) UCV:SetItem(value, 812) end,
					width = "half",
				},
				{
					itemId = 811,
					type = "checkbox",
					name = UCV:GetName(811),
					getFunc = function() return UCV:ListContains(811) end,
					setFunc = function(value) UCV:SetItem(value, 811) end,
					width = "half",
				},
				{
					itemId = 4464,
					type = "checkbox",
					name = UCV:GetName(4464),
					getFunc = function() return UCV:ListContains(4464) end,
					setFunc = function(value) UCV:SetItem(value, 4464) end,
					width = "half",
				},
				{
					itemId = 4463,
					type = "checkbox",
					name = UCV:GetName(4463),
					getFunc = function() return UCV:ListContains(4463) end,
					setFunc = function(value) UCV:SetItem(value, 4463) end,
					width = "half",
				},
				{
					itemId = 23129,
					type = "checkbox",
					name = UCV:GetName(23129),
					getFunc = function() return UCV:ListContains(23129) end,
					setFunc = function(value) UCV:SetItem(value, 23129) end,
					width = "half",
				},
				{
					itemId = 23125,
					type = "checkbox",
					name = UCV:GetName(23125),
					getFunc = function() return UCV:ListContains(23125) end,
					setFunc = function(value) UCV:SetItem(value, 23125) end,
					width = "half",
				},
				{
					itemId = 23130,
					type = "checkbox",
					name = UCV:GetName(23130),
					getFunc = function() return UCV:ListContains(23130) end,
					setFunc = function(value) UCV:SetItem(value, 23130) end,
					width = "half",
				},
				{
					itemId = 23126,
					type = "checkbox",
					name = UCV:GetName(23126),
					getFunc = function() return UCV:ListContains(23126) end,
					setFunc = function(value) UCV:SetItem(value, 23126) end,
					width = "half",
				},
				{
					itemId = 23131,
					type = "checkbox",
					name = UCV:GetName(23131),
					getFunc = function() return UCV:ListContains(23131) end,
					setFunc = function(value) UCV:SetItem(value, 23131) end,
					width = "half",
				},
				{
					itemId = 23127,
					type = "checkbox",
					name = UCV:GetName(23127),
					getFunc = function() return UCV:ListContains(23127) end,
					setFunc = function(value) UCV:SetItem(value, 23127) end,
					width = "half",
				},
				{
					itemId = 33217,
					type = "checkbox",
					name = UCV:GetName(33217),
					getFunc = function() return UCV:ListContains(33217) end,
					setFunc = function(value) UCV:SetItem(value, 33217) end,
					width = "half",
				},
				{
					itemId = 46131,
					type = "checkbox",
					name = UCV:GetName(46131),
					getFunc = function() return UCV:ListContains(46131) end,
					setFunc = function(value) UCV:SetItem(value, 46131) end,
					width = "half",
				},
				{
					itemId = 33218,
					type = "checkbox",
					name = UCV:GetName(33218),
					getFunc = function() return UCV:ListContains(33218) end,
					setFunc = function(value) UCV:SetItem(value, 33218) end,
					width = "half",
				},
				{
					itemId = 46132,
					type = "checkbox",
					name = UCV:GetName(46132),
					getFunc = function() return UCV:ListContains(46132) end,
					setFunc = function(value) UCV:SetItem(value, 46132) end,
					width = "half",
				},
				{
					itemId = 33219,
					type = "checkbox",
					name = UCV:GetName(33219),
					getFunc = function() return UCV:ListContains(33219) end,
					setFunc = function(value) UCV:SetItem(value, 33219) end,
					width = "half",
				},
				{
					itemId = 46133,
					type = "checkbox",
					name = UCV:GetName(46133),
					getFunc = function() return UCV:ListContains(46133) end,
					setFunc = function(value) UCV:SetItem(value, 46133) end,
					width = "half",
				},
				{
					itemId = 33220,
					type = "checkbox",
					name = UCV:GetName(33220),
					getFunc = function() return UCV:ListContains(33220) end,
					setFunc = function(value) UCV:SetItem(value, 33220) end,
					width = "half",
				},
				{
					itemId = 46134,
					type = "checkbox",
					name = UCV:GetName(46134),
					getFunc = function() return UCV:ListContains(46134) end,
					setFunc = function(value) UCV:SetItem(value, 46134) end,
					width = "half",
				},
				{
					itemId = 71200,
					type = "checkbox",
					name = UCV:GetName(71200),
					getFunc = function() return UCV:ListContains(71200) end,
					setFunc = function(value) UCV:SetItem(value, 71200) end,
					width = "half",
				},
				{
					itemId = 64504,
					type = "checkbox",
					name = UCV:GetName(64504),
					getFunc = function() return UCV:ListContains(64504) end,
					setFunc = function(value) UCV:SetItem(value, 64504) end,
					width = "half",
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_CL_3),
			controls = {
				{
					itemId = 793,
					type = "checkbox",
					name = UCV:GetName(793),
					getFunc = function() return UCV:ListContains(793) end,
					setFunc = function(value) UCV:SetItem(value, 793) end,
					width = "half",
				},
				{
					itemId = 794,
					type = "checkbox",
					name = UCV:GetName(794),
					getFunc = function() return UCV:ListContains(794) end,
					setFunc = function(value) UCV:SetItem(value, 794) end,
					width = "half",
				},
				{
					itemId = 4448,
					type = "checkbox",
					name = UCV:GetName(4448),
					getFunc = function() return UCV:ListContains(4448) end,
					setFunc = function(value) UCV:SetItem(value, 4448) end,
					width = "half",
				},
				{
					itemId = 4447,
					type = "checkbox",
					name = UCV:GetName(4447),
					getFunc = function() return UCV:ListContains(4447) end,
					setFunc = function(value) UCV:SetItem(value, 4447) end,
					width = "half",
				},
				{
					itemId = 23095,
					type = "checkbox",
					name = UCV:GetName(23095),
					getFunc = function() return UCV:ListContains(23095) end,
					setFunc = function(value) UCV:SetItem(value, 23095) end,
					width = "half",
				},
				{
					itemId = 23099,
					type = "checkbox",
					name = UCV:GetName(23099),
					getFunc = function() return UCV:ListContains(23099) end,
					setFunc = function(value) UCV:SetItem(value, 23099) end,
					width = "half",
				},
				{
					itemId = 6020,
					type = "checkbox",
					name = UCV:GetName(6020),
					getFunc = function() return UCV:ListContains(6020) end,
					setFunc = function(value) UCV:SetItem(value, 6020) end,
					width = "half",
				},
				{
					itemId = 23100,
					type = "checkbox",
					name = UCV:GetName(23100),
					getFunc = function() return UCV:ListContains(23100) end,
					setFunc = function(value) UCV:SetItem(value, 23100) end,
					width = "half",
				},
				{
					itemId = 23097,
					type = "checkbox",
					name = UCV:GetName(23097),
					getFunc = function() return UCV:ListContains(23097) end,
					setFunc = function(value) UCV:SetItem(value, 23097) end,
					width = "half",
				},
				{
					itemId = 23101,
					type = "checkbox",
					name = UCV:GetName(23101),
					getFunc = function() return UCV:ListContains(23101) end,
					setFunc = function(value) UCV:SetItem(value, 23101) end,
					width = "half",
				},
				{
					itemId = 23142,
					type = "checkbox",
					name = UCV:GetName(23142),
					getFunc = function() return UCV:ListContains(23142) end,
					setFunc = function(value) UCV:SetItem(value, 23142) end,
					width = "half",
				},
				{
					itemId = 46135,
					type = "checkbox",
					name = UCV:GetName(46135),
					getFunc = function() return UCV:ListContains(46135) end,
					setFunc = function(value) UCV:SetItem(value, 46135) end,
					width = "half",
				},
				{
					itemId = 23143,
					type = "checkbox",
					name = UCV:GetName(23143),
					getFunc = function() return UCV:ListContains(23143) end,
					setFunc = function(value) UCV:SetItem(value, 23143) end,
					width = "half",
				},
				{
					itemId = 46136,
					type = "checkbox",
					name = UCV:GetName(46136),
					getFunc = function() return UCV:ListContains(46136) end,
					setFunc = function(value) UCV:SetItem(value, 46136) end,
					width = "half",
				},
				{
					itemId = 800,
					type = "checkbox",
					name = UCV:GetName(800),
					getFunc = function() return UCV:ListContains(800) end,
					setFunc = function(value) UCV:SetItem(value, 800) end,
					width = "half",
				},
				{
					itemId = 46137,
					type = "checkbox",
					name = UCV:GetName(46137),
					getFunc = function() return UCV:ListContains(46137) end,
					setFunc = function(value) UCV:SetItem(value, 46137) end,
					width = "half",
				},
				{
					itemId = 4478,
					type = "checkbox",
					name = UCV:GetName(4478),
					getFunc = function() return UCV:ListContains(4478) end,
					setFunc = function(value) UCV:SetItem(value, 4478) end,
					width = "half",
				},
				{
					itemId = 46138,
					type = "checkbox",
					name = UCV:GetName(46138),
					getFunc = function() return UCV:ListContains(46138) end,
					setFunc = function(value) UCV:SetItem(value, 46138) end,
					width = "half",
				},
				{
					itemId = 71239,
					type = "checkbox",
					name = UCV:GetName(71239),
					getFunc = function() return UCV:ListContains(71239) end,
					setFunc = function(value) UCV:SetItem(value, 71239) end,
					width = "half",
				},
				{
					itemId = 64506,
					type = "checkbox",
					name = UCV:GetName(64506),
					getFunc = function() return UCV:ListContains(64506) end,
					setFunc = function(value) UCV:SetItem(value, 64506) end,
					width = "half",
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_CL_4),
			controls = {
				{
					itemId = 54174,
					type = "checkbox",
					name = UCV:GetName(54174),
					getFunc = function() return UCV:ListContains(54174) end,
					setFunc = function(value) UCV:SetItem(value, 54174) end,
					width = "half",
				},
				{
					itemId = 54175,
					type = "checkbox",
					name = UCV:GetName(54175),
					getFunc = function() return UCV:ListContains(54175) end,
					setFunc = function(value) UCV:SetItem(value, 54175) end,
					width = "half",
				},
				{
					itemId = 54176,
					type = "checkbox",
					name = UCV:GetName(54176),
					getFunc = function() return UCV:ListContains(54176) end,
					setFunc = function(value) UCV:SetItem(value, 54176) end,
					width = "half",
				},
				{
					itemId = 54177,
					type = "checkbox",
					name = UCV:GetName(54177),
					getFunc = function() return UCV:ListContains(54177) end,
					setFunc = function(value) UCV:SetItem(value, 54177) end,
					width = "half",
				},
			},
		},
		
		--Blacksmithing Materials Settings
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MATS_BS_1)),
			width = "full",
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_BS_2),
			controls = {
				{
					itemId = 808,
					type = "checkbox",
					name = UCV:GetName(808),
					getFunc = function() return UCV:ListContains(808) end,
					setFunc = function(value) UCV:SetItem(value, 808) end,
					width = "half",
				},
				{
					itemId = 5413,
					type = "checkbox",
					name = UCV:GetName(5413),
					getFunc = function() return UCV:ListContains(5413) end,
					setFunc = function(value) UCV:SetItem(value, 5413) end,
					width = "half",
				},
				{
					itemId = 5820,
					type = "checkbox",
					name = UCV:GetName(5820),
					getFunc = function() return UCV:ListContains(5820) end,
					setFunc = function(value) UCV:SetItem(value, 5820) end,
					width = "half",
				},
				{
					itemId = 4487,
					type = "checkbox",
					name = UCV:GetName(4487),
					getFunc = function() return UCV:ListContains(4487) end,
					setFunc = function(value) UCV:SetItem(value, 4487) end,
					width = "half",
				},
				{
					itemId = 23103,
					type = "checkbox",
					name = UCV:GetName(23103),
					getFunc = function() return UCV:ListContains(23103) end,
					setFunc = function(value) UCV:SetItem(value, 23103) end,
					width = "half",
				},
				{
					itemId = 23107,
					type = "checkbox",
					name = UCV:GetName(23107),
					getFunc = function() return UCV:ListContains(23107) end,
					setFunc = function(value) UCV:SetItem(value, 23107) end,
					width = "half",
				},
				{
					itemId = 23104,
					type = "checkbox",
					name = UCV:GetName(23104),
					getFunc = function() return UCV:ListContains(23104) end,
					setFunc = function(value) UCV:SetItem(value, 23104) end,
					width = "half",
				},
				{
					itemId = 6000,
					type = "checkbox",
					name = UCV:GetName(6000),
					getFunc = function() return UCV:ListContains(6000) end,
					setFunc = function(value) UCV:SetItem(value, 6000) end,
					width = "half",
				},
				{
					itemId = 23105,
					type = "checkbox",
					name = UCV:GetName(23105),
					getFunc = function() return UCV:ListContains(23105) end,
					setFunc = function(value) UCV:SetItem(value, 23105) end,
					width = "half",
				},
				{
					itemId = 6001,
					type = "checkbox",
					name = UCV:GetName(6001),
					getFunc = function() return UCV:ListContains(6001) end,
					setFunc = function(value) UCV:SetItem(value, 6001) end,
					width = "half",
				},
				{
					itemId = 4482,
					type = "checkbox",
					name = UCV:GetName(4482),
					getFunc = function() return UCV:ListContains(4482) end,
					setFunc = function(value) UCV:SetItem(value, 4482) end,
					width = "half",
				},
				{
					itemId = 46127,
					type = "checkbox",
					name = UCV:GetName(46127),
					getFunc = function() return UCV:ListContains(46127) end,
					setFunc = function(value) UCV:SetItem(value, 46127) end,
					width = "half",
				},
				{
					itemId = 23133,
					type = "checkbox",
					name = UCV:GetName(23133),
					getFunc = function() return UCV:ListContains(23133) end,
					setFunc = function(value) UCV:SetItem(value, 23133) end,
					width = "half",
				},
				{
					itemId = 46128,
					type = "checkbox",
					name = UCV:GetName(46128),
					getFunc = function() return UCV:ListContains(46128) end,
					setFunc = function(value) UCV:SetItem(value, 46128) end,
					width = "half",
				},
				{
					itemId = 23134,
					type = "checkbox",
					name = UCV:GetName(23134),
					getFunc = function() return UCV:ListContains(23134) end,
					setFunc = function(value) UCV:SetItem(value, 23134) end,
					width = "half",
				},
				{
					itemId = 46129,
					type = "checkbox",
					name = UCV:GetName(46129),
					getFunc = function() return UCV:ListContains(46129) end,
					setFunc = function(value) UCV:SetItem(value, 46129) end,
					width = "half",
				},
				{
					itemId = 23135,
					type = "checkbox",
					name = UCV:GetName(23135),
					getFunc = function() return UCV:ListContains(23135) end,
					setFunc = function(value) UCV:SetItem(value, 23135) end,
					width = "half",
				},
				{
					itemId = 46130,
					type = "checkbox",
					name = UCV:GetName(46130),
					getFunc = function() return UCV:ListContains(46130) end,
					setFunc = function(value) UCV:SetItem(value, 46130) end,
					width = "half",
				},
				{
					itemId = 71198,
					type = "checkbox",
					name = UCV:GetName(71198),
					getFunc = function() return UCV:ListContains(71198) end,
					setFunc = function(value) UCV:SetItem(value, 71198) end,
					width = "half",
				},
				{
					itemId = 64489,
					type = "checkbox",
					name = UCV:GetName(64489),
					getFunc = function() return UCV:ListContains(64489) end,
					setFunc = function(value) UCV:SetItem(value, 64489) end,
					width = "half",
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_BS_3),
			controls = {
				{
					itemId = 54170,
					type = "checkbox",
					name = UCV:GetName(54170),
					getFunc = function() return UCV:ListContains(54170) end,
					setFunc = function(value) UCV:SetItem(value, 54170) end,
					width = "half",
				},
				{
					itemId = 54171,
					type = "checkbox",
					name = UCV:GetName(54171),
					getFunc = function() return UCV:ListContains(54171) end,
					setFunc = function(value) UCV:SetItem(value, 54171) end,
					width = "half",
				},
				{
					itemId = 54172,
					type = "checkbox",
					name = UCV:GetName(54172),
					getFunc = function() return UCV:ListContains(54172) end,
					setFunc = function(value) UCV:SetItem(value, 54172) end,
					width = "half",
				},
				{
					itemId = 54173,
					type = "checkbox",
					name = UCV:GetName(54173),
					getFunc = function() return UCV:ListContains(54173) end,
					setFunc = function(value) UCV:SetItem(value, 54173) end,
					width = "half",
				},
			},
		},
		
		--Woodworking Materials Settings
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MATS_WW_1)),
			width = "full",
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_WW_2),
			controls = {
				{
					itemId = 802,
					type = "checkbox",
					name = UCV:GetName(802),
					getFunc = function() return UCV:ListContains(802) end,
					setFunc = function(value) UCV:SetItem(value, 802) end,
					width = "half",
				},
				{
					itemId = 803,
					type = "checkbox",
					name = UCV:GetName(803),
					getFunc = function() return UCV:ListContains(803) end,
					setFunc = function(value) UCV:SetItem(value, 803) end,
					width = "half",
				},
				{
					itemId = 521,
					type = "checkbox",
					name = UCV:GetName(521),
					getFunc = function() return UCV:ListContains(521) end,
					setFunc = function(value) UCV:SetItem(value, 521) end,
					width = "half",
				},
				{
					itemId = 533,
					type = "checkbox",
					name = UCV:GetName(533),
					getFunc = function() return UCV:ListContains(533) end,
					setFunc = function(value) UCV:SetItem(value, 533) end,
					width = "half",
				},
				{
					itemId = 23117,
					type = "checkbox",
					name = UCV:GetName(23117),
					getFunc = function() return UCV:ListContains(23117) end,
					setFunc = function(value) UCV:SetItem(value, 23117) end,
					width = "half",
				},
				{
					itemId = 23121,
					type = "checkbox",
					name = UCV:GetName(23121),
					getFunc = function() return UCV:ListContains(23121) end,
					setFunc = function(value) UCV:SetItem(value, 23121) end,
					width = "half",
				},
				{
					itemId = 23118,
					type = "checkbox",
					name = UCV:GetName(23118),
					getFunc = function() return UCV:ListContains(23118) end,
					setFunc = function(value) UCV:SetItem(value, 23118) end,
					width = "half",
				},
				{
					itemId = 23122,
					type = "checkbox",
					name = UCV:GetName(23122),
					getFunc = function() return UCV:ListContains(23122) end,
					setFunc = function(value) UCV:SetItem(value, 23122) end,
					width = "half",
				},
				{
					itemId = 23119,
					type = "checkbox",
					name = UCV:GetName(23119),
					getFunc = function() return UCV:ListContains(23119) end,
					setFunc = function(value) UCV:SetItem(value, 23119) end,
					width = "half",
				},
				{
					itemId = 23123,
					type = "checkbox",
					name = UCV:GetName(23123),
					getFunc = function() return UCV:ListContains(23123) end,
					setFunc = function(value) UCV:SetItem(value, 23123) end,
					width = "half",
				},
				{
					itemId = 818,
					type = "checkbox",
					name = UCV:GetName(818),
					getFunc = function() return UCV:ListContains(818) end,
					setFunc = function(value) UCV:SetItem(value, 818) end,
					width = "half",
				},
				{
					itemId = 46139,
					type = "checkbox",
					name = UCV:GetName(46139),
					getFunc = function() return UCV:ListContains(46139) end,
					setFunc = function(value) UCV:SetItem(value, 46139) end,
					width = "half",
				},
				{
					itemId = 4439,
					type = "checkbox",
					name = UCV:GetName(4439),
					getFunc = function() return UCV:ListContains(4439) end,
					setFunc = function(value) UCV:SetItem(value, 4439) end,
					width = "half",
				},
				{
					itemId = 46140,
					type = "checkbox",
					name = UCV:GetName(46140),
					getFunc = function() return UCV:ListContains(46140) end,
					setFunc = function(value) UCV:SetItem(value, 46140) end,
					width = "half",
				},
				{
					itemId = 23137,
					type = "checkbox",
					name = UCV:GetName(23137),
					getFunc = function() return UCV:ListContains(23137) end,
					setFunc = function(value) UCV:SetItem(value, 23137) end,
					width = "half",
				},
				{
					itemId = 46141,
					type = "checkbox",
					name = UCV:GetName(46141),
					getFunc = function() return UCV:ListContains(46141) end,
					setFunc = function(value) UCV:SetItem(value, 46141) end,
					width = "half",
				},
				{
					itemId = 23138,
					type = "checkbox",
					name = UCV:GetName(23138),
					getFunc = function() return UCV:ListContains(23138) end,
					setFunc = function(value) UCV:SetItem(value, 23138) end,
					width = "half",
				},
				{
					itemId = 46142,
					type = "checkbox",
					name = UCV:GetName(46142),
					getFunc = function() return UCV:ListContains(46142) end,
					setFunc = function(value) UCV:SetItem(value, 46142) end,
					width = "half",
				},
				{
					itemId = 71199,
					type = "checkbox",
					name = UCV:GetName(71199),
					getFunc = function() return UCV:ListContains(71199) end,
					setFunc = function(value) UCV:SetItem(value, 71199) end,
					width = "half",
				},
				{
					itemId = 64502,
					type = "checkbox",
					name = UCV:GetName(64502),
					getFunc = function() return UCV:ListContains(64502) end,
					setFunc = function(value) UCV:SetItem(value, 64502) end,
					width = "half",
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_WW_3),
			controls = {
				{
					itemId = 54178,
					type = "checkbox",
					name = UCV:GetName(54178),
					getFunc = function() return UCV:ListContains(54178) end,
					setFunc = function(value) UCV:SetItem(value, 54178) end,
					width = "half",
				},
				{
					itemId = 54179,
					type = "checkbox",
					name = UCV:GetName(54179),
					getFunc = function() return UCV:ListContains(54179) end,
					setFunc = function(value) UCV:SetItem(value, 54179) end,
					width = "half",
				},
				{
					itemId = 54180,
					type = "checkbox",
					name = UCV:GetName(54180),
					getFunc = function() return UCV:ListContains(54180) end,
					setFunc = function(value) UCV:SetItem(value, 54180) end,
					width = "half",
				},
				{
					itemId = 54181,
					type = "checkbox",
					name = UCV:GetName(54181),
					getFunc = function() return UCV:ListContains(54181) end,
					setFunc = function(value) UCV:SetItem(value, 54181) end,
					width = "half",
				},
			},
		},
		
		--Jewelry Crafting Materials Settings
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MATS_JC_1)),
			width = "full",
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_JC_2),
			controls = {
				{
					itemId = 135137,
					type = "checkbox",
					name = UCV:GetName(135137),
					getFunc = function() return UCV:ListContains(135137) end,
					setFunc = function(value) UCV:SetItem(value, 135137) end,
					width = "half",
				},
				{
					itemId = 135138,
					type = "checkbox",
					name = UCV:GetName(135138),
					getFunc = function() return UCV:ListContains(135138) end,
					setFunc = function(value) UCV:SetItem(value, 135138) end,
					width = "half",
				},
				{
					itemId = 135139,
					type = "checkbox",
					name = UCV:GetName(135139),
					getFunc = function() return UCV:ListContains(135139) end,
					setFunc = function(value) UCV:SetItem(value, 135139) end,
					width = "half",
				},
				{
					itemId = 135140,
					type = "checkbox",
					name = UCV:GetName(135140),
					getFunc = function() return UCV:ListContains(135140) end,
					setFunc = function(value) UCV:SetItem(value, 135140) end,
					width = "half",
				},
				{
					itemId = 135141,
					type = "checkbox",
					name = UCV:GetName(135141),
					getFunc = function() return UCV:ListContains(135141) end,
					setFunc = function(value) UCV:SetItem(value, 135141) end,
					width = "half",
				},
				{
					itemId = 135142,
					type = "checkbox",
					name = UCV:GetName(135142),
					getFunc = function() return UCV:ListContains(135142) end,
					setFunc = function(value) UCV:SetItem(value, 135142) end,
					width = "half",
				},
				{
					itemId = 135143,
					type = "checkbox",
					name = UCV:GetName(135143),
					getFunc = function() return UCV:ListContains(135143) end,
					setFunc = function(value) UCV:SetItem(value, 135143) end,
					width = "half",
				},
				{
					itemId = 135144,
					type = "checkbox",
					name = UCV:GetName(135144),
					getFunc = function() return UCV:ListContains(135144) end,
					setFunc = function(value) UCV:SetItem(value, 135144) end,
					width = "half",
				},
				{
					itemId = 135145,
					type = "checkbox",
					name = UCV:GetName(135145),
					getFunc = function() return UCV:ListContains(135145) end,
					setFunc = function(value) UCV:SetItem(value, 135145) end,
					width = "half",
				},
				{
					itemId = 135146,
					type = "checkbox",
					name = UCV:GetName(135146),
					getFunc = function() return UCV:ListContains(135146) end,
					setFunc = function(value) UCV:SetItem(value, 135146) end,
					width = "half",
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_JC_3),
			controls = {
				{
					itemId = 135151,
					type = "checkbox",
					name = UCV:GetName(135151),
					getFunc = function() return UCV:ListContains(135151) end,
					setFunc = function(value) UCV:SetItem(value, 135151) end,
					width = "half",
				},
				{
					itemId = 135147,
					type = "checkbox",
					name = UCV:GetName(135147),
					getFunc = function() return UCV:ListContains(135147) end,
					setFunc = function(value) UCV:SetItem(value, 135147) end,
					width = "half",
				},
				{
					itemId = 135152,
					type = "checkbox",
					name = UCV:GetName(135152),
					getFunc = function() return UCV:ListContains(135152) end,
					setFunc = function(value) UCV:SetItem(value, 135152) end,
					width = "half",
				},
				{
					itemId = 135148,
					type = "checkbox",
					name = UCV:GetName(135148),
					getFunc = function() return UCV:ListContains(135148) end,
					setFunc = function(value) UCV:SetItem(value, 135148) end,
					width = "half",
				},
				{
					itemId = 135153,
					type = "checkbox",
					name = UCV:GetName(135153),
					getFunc = function() return UCV:ListContains(135153) end,
					setFunc = function(value) UCV:SetItem(value, 135153) end,
					width = "half",
				},
				{
					itemId = 135149,
					type = "checkbox",
					name = UCV:GetName(135149),
					getFunc = function() return UCV:ListContains(135149) end,
					setFunc = function(value) UCV:SetItem(value, 135149) end,
					width = "half",
				},
				{
					itemId = 135154,
					type = "checkbox",
					name = UCV:GetName(135154),
					getFunc = function() return UCV:ListContains(135154) end,
					setFunc = function(value) UCV:SetItem(value, 135154) end,
					width = "half",
				},
				{
					itemId = 135150,
					type = "checkbox",
					name = UCV:GetName(135150),
					getFunc = function() return UCV:ListContains(135150) end,
					setFunc = function(value) UCV:SetItem(value, 135150) end,
					width = "half",
				},
			},
		},
		
		--Alchemy Materials Settings
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MATS_AL_1)),
			width = "full",
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_AL_2),
			controls = {
				{
					itemId = 883,
					type = "checkbox",
					name = UCV:GetName(883),
					getFunc = function() return UCV:ListContains(883) end,
					setFunc = function(value) UCV:SetItem(value, 883) end,
					width = "half",
				},
				{
					itemId = 75357,
					type = "checkbox",
					name = UCV:GetName(75357),
					getFunc = function() return UCV:ListContains(75357) end,
					setFunc = function(value) UCV:SetItem(value, 75357) end,
					width = "half",
				},
				{
					itemId = 1187,
					type = "checkbox",
					name = UCV:GetName(1187),
					getFunc = function() return UCV:ListContains(1187) end,
					setFunc = function(value) UCV:SetItem(value, 1187) end,
					width = "half",
				},
				{
					itemId = 75358,
					type = "checkbox",
					name = UCV:GetName(75358),
					getFunc = function() return UCV:ListContains(75358) end,
					setFunc = function(value) UCV:SetItem(value, 75358) end,
					width = "half",
				},
				{
					itemId = 4570,
					type = "checkbox",
					name = UCV:GetName(4570),
					getFunc = function() return UCV:ListContains(4570) end,
					setFunc = function(value) UCV:SetItem(value, 4570) end,
					width = "half",
				},
				{
					itemId = 75359,
					type = "checkbox",
					name = UCV:GetName(75359),
					getFunc = function() return UCV:ListContains(75359) end,
					setFunc = function(value) UCV:SetItem(value, 75359) end,
					width = "half",
				},
				{
					itemId = 23265,
					type = "checkbox",
					name = UCV:GetName(23265),
					getFunc = function() return UCV:ListContains(23265) end,
					setFunc = function(value) UCV:SetItem(value, 23265) end,
					width = "half",
				},
				{
					itemId = 75360,
					type = "checkbox",
					name = UCV:GetName(75360),
					getFunc = function() return UCV:ListContains(75360) end,
					setFunc = function(value) UCV:SetItem(value, 75360) end,
					width = "half",
				},
				{
					itemId = 23266,
					type = "checkbox",
					name = UCV:GetName(23266),
					getFunc = function() return UCV:ListContains(23266) end,
					setFunc = function(value) UCV:SetItem(value, 23266) end,
					width = "half",
				},
				{
					itemId = 75361,
					type = "checkbox",
					name = UCV:GetName(75361),
					getFunc = function() return UCV:ListContains(75361) end,
					setFunc = function(value) UCV:SetItem(value, 75361) end,
					width = "half",
				},
				{
					itemId = 23267,
					type = "checkbox",
					name = UCV:GetName(23267),
					getFunc = function() return UCV:ListContains(23267) end,
					setFunc = function(value) UCV:SetItem(value, 23267) end,
					width = "half",
				},
				{
					itemId = 75362,
					type = "checkbox",
					name = UCV:GetName(75362),
					getFunc = function() return UCV:ListContains(75362) end,
					setFunc = function(value) UCV:SetItem(value, 75362) end,
					width = "half",
				},
				{
					itemId = 23268,
					type = "checkbox",
					name = UCV:GetName(23268),
					getFunc = function() return UCV:ListContains(23268) end,
					setFunc = function(value) UCV:SetItem(value, 23268) end,
					width = "half",
				},
				{
					itemId = 75363,
					type = "checkbox",
					name = UCV:GetName(75363),
					getFunc = function() return UCV:ListContains(75363) end,
					setFunc = function(value) UCV:SetItem(value, 75363) end,
					width = "half",
				},
				{
					itemId = 64500,
					type = "checkbox",
					name = UCV:GetName(64500),
					getFunc = function() return UCV:ListContains(64500) end,
					setFunc = function(value) UCV:SetItem(value, 64500) end,
					width = "half",
				},
				{
					itemId = 75364,
					type = "checkbox",
					name = UCV:GetName(75364),
					getFunc = function() return UCV:ListContains(75364) end,
					setFunc = function(value) UCV:SetItem(value, 75364) end,
					width = "half",
				},
				{
					itemId = 64501,
					type = "checkbox",
					name = UCV:GetName(64501),
					getFunc = function() return UCV:ListContains(64501) end,
					setFunc = function(value) UCV:SetItem(value, 64501) end,
					width = "half",
				},
				{
					itemId = 75365,
					type = "checkbox",
					name = UCV:GetName(75365),
					getFunc = function() return UCV:ListContains(75365) end,
					setFunc = function(value) UCV:SetItem(value, 75365) end,
					width = "half",
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_AL_3),
			controls = {
				{
					itemId = 77583,
					type = "checkbox",
					name = UCV:GetName(77583),
					getFunc = function() return UCV:ListContains(77583) end,
					setFunc = function(value) UCV:SetItem(value, 77583) end,
					width = "half",
				},
				{
					itemId = 30157,
					type = "checkbox",
					name = UCV:GetName(30157),
					getFunc = function() return UCV:ListContains(30157) end,
					setFunc = function(value) UCV:SetItem(value, 30157) end,
					width = "half",
				},
				{
					itemId = 30148,
					type = "checkbox",
					name = UCV:GetName(30148),
					getFunc = function() return UCV:ListContains(30148) end,
					setFunc = function(value) UCV:SetItem(value, 30148) end,
					width = "half",
				},
				{
					itemId = 30160,
					type = "checkbox",
					name = UCV:GetName(30160),
					getFunc = function() return UCV:ListContains(30160) end,
					setFunc = function(value) UCV:SetItem(value, 30160) end,
					width = "half",
				},
				{
					itemId = 77585,
					type = "checkbox",
					name = UCV:GetName(77585),
					getFunc = function() return UCV:ListContains(77585) end,
					setFunc = function(value) UCV:SetItem(value, 77585) end,
					width = "half",
				},
				{
					itemId = 30164,
					type = "checkbox",
					name = UCV:GetName(30164),
					getFunc = function() return UCV:ListContains(30164) end,
					setFunc = function(value) UCV:SetItem(value, 30164) end,
					width = "half",
				},
				{
					itemId = 30161,
					type = "checkbox",
					name = UCV:GetName(30161),
					getFunc = function() return UCV:ListContains(30161) end,
					setFunc = function(value) UCV:SetItem(value, 30161) end,
					width = "half",
				},
				{
					itemId = 30162,
					type = "checkbox",
					name = UCV:GetName(30162),
					getFunc = function() return UCV:ListContains(30162) end,
					setFunc = function(value) UCV:SetItem(value, 30162) end,
					width = "half",
				},
				{
					itemId = 30151,
					type = "checkbox",
					name = UCV:GetName(30151),
					getFunc = function() return UCV:ListContains(30151) end,
					setFunc = function(value) UCV:SetItem(value, 30151) end,
					width = "half",
				},
				{
					itemId = 77587,
					type = "checkbox",
					name = UCV:GetName(77587),
					getFunc = function() return UCV:ListContains(77587) end,
					setFunc = function(value) UCV:SetItem(value, 77587) end,
					width = "half",
				},
				{
					itemId = 30156,
					type = "checkbox",
					name = UCV:GetName(30156),
					getFunc = function() return UCV:ListContains(30156) end,
					setFunc = function(value) UCV:SetItem(value, 30156) end,
					width = "half",
				},
				{
					itemId = 30158,
					type = "checkbox",
					name = UCV:GetName(30158),
					getFunc = function() return UCV:ListContains(30158) end,
					setFunc = function(value) UCV:SetItem(value, 30158) end,
					width = "half",
				},
				{
					itemId = 30155,
					type = "checkbox",
					name = UCV:GetName(30155),
					getFunc = function() return UCV:ListContains(30155) end,
					setFunc = function(value) UCV:SetItem(value, 30155) end,
					width = "half",
				},
				{
					itemId = 30163,
					type = "checkbox",
					name = UCV:GetName(30163),
					getFunc = function() return UCV:ListContains(30163) end,
					setFunc = function(value) UCV:SetItem(value, 30163) end,
					width = "half",
				},
				{
					itemId = 77591,
					type = "checkbox",
					name = UCV:GetName(77591),
					getFunc = function() return UCV:ListContains(77591) end,
					setFunc = function(value) UCV:SetItem(value, 77591) end,
					width = "half",
				},
				{
					itemId = 30153,
					type = "checkbox",
					name = UCV:GetName(30153),
					getFunc = function() return UCV:ListContains(30153) end,
					setFunc = function(value) UCV:SetItem(value, 30153) end,
					width = "half",
				},
				{
					itemId = 77590,
					type = "checkbox",
					name = UCV:GetName(77590),
					getFunc = function() return UCV:ListContains(77590) end,
					setFunc = function(value) UCV:SetItem(value, 77590) end,
					width = "half",
				},
				{
					itemId = 30165,
					type = "checkbox",
					name = UCV:GetName(30165),
					getFunc = function() return UCV:ListContains(30165) end,
					setFunc = function(value) UCV:SetItem(value, 30165) end,
					width = "half",
				},
				{
					itemId = 77589,
					type = "checkbox",
					name = UCV:GetName(77589),
					getFunc = function() return UCV:ListContains(77589) end,
					setFunc = function(value) UCV:SetItem(value, 77589) end,
					width = "half",
				},
				{
					itemId = 77584,
					type = "checkbox",
					name = UCV:GetName(77584),
					getFunc = function() return UCV:ListContains(77584) end,
					setFunc = function(value) UCV:SetItem(value, 77584) end,
					width = "half",
				},
				{
					itemId = 30149,
					type = "checkbox",
					name = UCV:GetName(30149),
					getFunc = function() return UCV:ListContains(30149) end,
					setFunc = function(value) UCV:SetItem(value, 30149) end,
					width = "half",
				},
				{
					itemId = 77581,
					type = "checkbox",
					name = UCV:GetName(77581),
					getFunc = function() return UCV:ListContains(77581) end,
					setFunc = function(value) UCV:SetItem(value, 77581) end,
					width = "half",
				},
				{
					itemId = 30152,
					type = "checkbox",
					name = UCV:GetName(30152),
					getFunc = function() return UCV:ListContains(30152) end,
					setFunc = function(value) UCV:SetItem(value, 30152) end,
					width = "half",
				},
				{
					itemId = 30166,
					type = "checkbox",
					name = UCV:GetName(30166),
					getFunc = function() return UCV:ListContains(30166) end,
					setFunc = function(value) UCV:SetItem(value, 30166) end,
					width = "half",
				},
				{
					itemId = 30154,
					type = "checkbox",
					name = UCV:GetName(30154),
					getFunc = function() return UCV:ListContains(30154) end,
					setFunc = function(value) UCV:SetItem(value, 30154) end,
					width = "half",
				},
				{
					itemId = 30159,
					type = "checkbox",
					name = UCV:GetName(30159),
					getFunc = function() return UCV:ListContains(30159) end,
					setFunc = function(value) UCV:SetItem(value, 30159) end,
					width = "half",
				},
				{
					itemId = 139020,
					type = "checkbox",
					name = UCV:GetName(139020),
					getFunc = function() return UCV:ListContains(139020) end,
					setFunc = function(value) UCV:SetItem(value, 139020) end,
					width = "half",
				},
				{
					itemId = 139019,
					type = "checkbox",
					name = UCV:GetName(139019),
					getFunc = function() return UCV:ListContains(139019) end,
					setFunc = function(value) UCV:SetItem(value, 139019) end,
					width = "half",
				},
				{
					itemId = 150789,
					type = "checkbox",
					name = UCV:GetName(150789),
					getFunc = function() return UCV:ListContains(150789) end,
					setFunc = function(value) UCV:SetItem(value, 150789) end,
					width = "half",
				},
				{
					itemId = 150731,
					type = "checkbox",
					name = UCV:GetName(150731),
					getFunc = function() return UCV:ListContains(150731) end,
					setFunc = function(value) UCV:SetItem(value, 150731) end,
					width = "half",
				},
			},
		},
		
		--Enchanting Materials Settings
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MATS_EN_1)),
			width = "full",
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_EN_2),
			controls = {
				{
					itemId = 45855,
					type = "checkbox",
					name = UCV:GetName(45855),
					getFunc = function() return UCV:ListContains(45855) end,
					setFunc = function(value) UCV:SetItem(value, 45855) end,
					width = "half",
				},
				{
					itemId = 45817,
					type = "checkbox",
					name = UCV:GetName(45817),
					getFunc = function() return UCV:ListContains(45817) end,
					setFunc = function(value) UCV:SetItem(value, 45817) end,
					width = "half",
				},
				{
					itemId = 45856,
					type = "checkbox",
					name = UCV:GetName(45856),
					getFunc = function() return UCV:ListContains(45856) end,
					setFunc = function(value) UCV:SetItem(value, 45856) end,
					width = "half",
				},
				{
					itemId = 45818,
					type = "checkbox",
					name = UCV:GetName(45818),
					getFunc = function() return UCV:ListContains(45818) end,
					setFunc = function(value) UCV:SetItem(value, 45818) end,
					width = "half",
				},
				{
					itemId = 45857,
					type = "checkbox",
					name = UCV:GetName(45857),
					getFunc = function() return UCV:ListContains(45857) end,
					setFunc = function(value) UCV:SetItem(value, 45857) end,
					width = "half",
				},
				{
					itemId = 45819,
					type = "checkbox",
					name = UCV:GetName(45819),
					getFunc = function() return UCV:ListContains(45819) end,
					setFunc = function(value) UCV:SetItem(value, 45819) end,
					width = "half",
				},
				{
					itemId = 45806,
					type = "checkbox",
					name = UCV:GetName(45806),
					getFunc = function() return UCV:ListContains(45806) end,
					setFunc = function(value) UCV:SetItem(value, 45806) end,
					width = "half",
				},
				{
					itemId = 45820,
					type = "checkbox",
					name = UCV:GetName(45820),
					getFunc = function() return UCV:ListContains(45820) end,
					setFunc = function(value) UCV:SetItem(value, 45820) end,
					width = "half",
				},
				{
					itemId = 45807,
					type = "checkbox",
					name = UCV:GetName(45807),
					getFunc = function() return UCV:ListContains(45807) end,
					setFunc = function(value) UCV:SetItem(value, 45807) end,
					width = "half",
				},
				{
					itemId = 45821,
					type = "checkbox",
					name = UCV:GetName(45821),
					getFunc = function() return UCV:ListContains(45821) end,
					setFunc = function(value) UCV:SetItem(value, 45821) end,
					width = "half",
				},
				{
					itemId = 45808,
					type = "checkbox",
					name = UCV:GetName(45808),
					getFunc = function() return UCV:ListContains(45808) end,
					setFunc = function(value) UCV:SetItem(value, 45808) end,
					width = "half",
				},
				{
					itemId = 45822,
					type = "checkbox",
					name = UCV:GetName(45822),
					getFunc = function() return UCV:ListContains(45822) end,
					setFunc = function(value) UCV:SetItem(value, 45822) end,
					width = "half",
				},
				{
					itemId = 45809,
					type = "checkbox",
					name = UCV:GetName(45809),
					getFunc = function() return UCV:ListContains(45809) end,
					setFunc = function(value) UCV:SetItem(value, 45809) end,
					width = "half",
				},
				{
					itemId = 45823,
					type = "checkbox",
					name = UCV:GetName(45823),
					getFunc = function() return UCV:ListContains(45823) end,
					setFunc = function(value) UCV:SetItem(value, 45823) end,
					width = "half",
				},
				{
					itemId = 45810,
					type = "checkbox",
					name = UCV:GetName(45810),
					getFunc = function() return UCV:ListContains(45810) end,
					setFunc = function(value) UCV:SetItem(value, 45810) end,
					width = "half",
				},
				{
					itemId = 45824,
					type = "checkbox",
					name = UCV:GetName(45824),
					getFunc = function() return UCV:ListContains(45824) end,
					setFunc = function(value) UCV:SetItem(value, 45824) end,
					width = "half",
				},
				{
					itemId = 45811,
					type = "checkbox",
					name = UCV:GetName(45811),
					getFunc = function() return UCV:ListContains(45811) end,
					setFunc = function(value) UCV:SetItem(value, 45811) end,
					width = "half",
				},
				{
					itemId = 45825,
					type = "checkbox",
					name = UCV:GetName(45825),
					getFunc = function() return UCV:ListContains(45825) end,
					setFunc = function(value) UCV:SetItem(value, 45825) end,
					width = "half",
				},
				{
					itemId = 45812,
					type = "checkbox",
					name = UCV:GetName(45812),
					getFunc = function() return UCV:ListContains(45812) end,
					setFunc = function(value) UCV:SetItem(value, 45812) end,
					width = "half",
				},
				{
					itemId = 45826,
					type = "checkbox",
					name = UCV:GetName(45826),
					getFunc = function() return UCV:ListContains(45826) end,
					setFunc = function(value) UCV:SetItem(value, 45826) end,
					width = "half",
				},
				{
					itemId = 45813,
					type = "checkbox",
					name = UCV:GetName(45813),
					getFunc = function() return UCV:ListContains(45813) end,
					setFunc = function(value) UCV:SetItem(value, 45813) end,
					width = "half",
				},
				{
					itemId = 45827,
					type = "checkbox",
					name = UCV:GetName(45827),
					getFunc = function() return UCV:ListContains(45827) end,
					setFunc = function(value) UCV:SetItem(value, 45827) end,
					width = "half",
				},
				{
					itemId = 45814,
					type = "checkbox",
					name = UCV:GetName(45814),
					getFunc = function() return UCV:ListContains(45814) end,
					setFunc = function(value) UCV:SetItem(value, 45814) end,
					width = "half",
				},
				{
					itemId = 45828,
					type = "checkbox",
					name = UCV:GetName(45828),
					getFunc = function() return UCV:ListContains(45828) end,
					setFunc = function(value) UCV:SetItem(value, 45828) end,
					width = "half",
				},
				{
					itemId = 45815,
					type = "checkbox",
					name = UCV:GetName(45815),
					getFunc = function() return UCV:ListContains(45815) end,
					setFunc = function(value) UCV:SetItem(value, 45815) end,
					width = "half",
				},
				{
					itemId = 45829,
					type = "checkbox",
					name = UCV:GetName(45829),
					getFunc = function() return UCV:ListContains(45829) end,
					setFunc = function(value) UCV:SetItem(value, 45829) end,
					width = "half",
				},
				{
					itemId = 45816,
					type = "checkbox",
					name = UCV:GetName(45816),
					getFunc = function() return UCV:ListContains(45816) end,
					setFunc = function(value) UCV:SetItem(value, 45816) end,
					width = "half",
				},
				{
					itemId = 45830,
					type = "checkbox",
					name = UCV:GetName(45830),
					getFunc = function() return UCV:ListContains(45830) end,
					setFunc = function(value) UCV:SetItem(value, 45830) end,
					width = "half",
				},
				{
					itemId = 64509,
					type = "checkbox",
					name = UCV:GetName(64509),
					getFunc = function() return UCV:ListContains(64509) end,
					setFunc = function(value) UCV:SetItem(value, 64509) end,
					width = "half",
				},
				{
					itemId = 64508,
					type = "checkbox",
					name = UCV:GetName(64508),
					getFunc = function() return UCV:ListContains(64508) end,
					setFunc = function(value) UCV:SetItem(value, 64508) end,
					width = "half",
				},
				{
					itemId = 68341,
					type = "checkbox",
					name = UCV:GetName(68341),
					getFunc = function() return UCV:ListContains(68341) end,
					setFunc = function(value) UCV:SetItem(value, 68341) end,
					width = "half",
				},
				{
					itemId = 68340,
					type = "checkbox",
					name = UCV:GetName(68340),
					getFunc = function() return UCV:ListContains(68340) end,
					setFunc = function(value) UCV:SetItem(value, 68340) end,
					width = "half",
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_EN_3),
			controls = {
				{
					itemId = 45839,
					type = "checkbox",
					name = UCV:GetName(45839),
					getFunc = function() return UCV:ListContains(45839) end,
					setFunc = function(value) UCV:SetItem(value, 45839) end,
					width = "half",
				},
				{
					itemId = 45833,
					type = "checkbox",
					name = UCV:GetName(45833),
					getFunc = function() return UCV:ListContains(45833) end,
					setFunc = function(value) UCV:SetItem(value, 45833) end,
					width = "half",
				},
				{
					itemId = 45836,
					type = "checkbox",
					name = UCV:GetName(45836),
					getFunc = function() return UCV:ListContains(45836) end,
					setFunc = function(value) UCV:SetItem(value, 45836) end,
					width = "half",
				},
				{
					itemId = 45842,
					type = "checkbox",
					name = UCV:GetName(45842),
					getFunc = function() return UCV:ListContains(45842) end,
					setFunc = function(value) UCV:SetItem(value, 45842) end,
					width = "half",
				},
				{
					itemId = 68342,
					type = "checkbox",
					name = UCV:GetName(68342),
					getFunc = function() return UCV:ListContains(68342) end,
					setFunc = function(value) UCV:SetItem(value, 68342) end,
					width = "half",
				},
				{
					itemId = 45841,
					type = "checkbox",
					name = UCV:GetName(45841),
					getFunc = function() return UCV:ListContains(45841) end,
					setFunc = function(value) UCV:SetItem(value, 45841) end,
					width = "half",
				},
				{
					itemId = 45849,
					type = "checkbox",
					name = UCV:GetName(45849),
					getFunc = function() return UCV:ListContains(45849) end,
					setFunc = function(value) UCV:SetItem(value, 45849) end,
					width = "half",
				},
				{
					itemId = 45837,
					type = "checkbox",
					name = UCV:GetName(45837),
					getFunc = function() return UCV:ListContains(45837) end,
					setFunc = function(value) UCV:SetItem(value, 45837) end,
					width = "half",
				},
				{
					itemId = 45848,
					type = "checkbox",
					name = UCV:GetName(45848),
					getFunc = function() return UCV:ListContains(45848) end,
					setFunc = function(value) UCV:SetItem(value, 45848) end,
					width = "half",
				},
				{
					itemId = 45832,
					type = "checkbox",
					name = UCV:GetName(45832),
					getFunc = function() return UCV:ListContains(45832) end,
					setFunc = function(value) UCV:SetItem(value, 45832) end,
					width = "half",
				},
				{
					itemId = 45835,
					type = "checkbox",
					name = UCV:GetName(45835),
					getFunc = function() return UCV:ListContains(45835) end,
					setFunc = function(value) UCV:SetItem(value, 45835) end,
					width = "half",
				},
				{
					itemId = 45840,
					type = "checkbox",
					name = UCV:GetName(45840),
					getFunc = function() return UCV:ListContains(45840) end,
					setFunc = function(value) UCV:SetItem(value, 45840) end,
					width = "half",
				},
				{
					itemId = 45831,
					type = "checkbox",
					name = UCV:GetName(45831),
					getFunc = function() return UCV:ListContains(45831) end,
					setFunc = function(value) UCV:SetItem(value, 45831) end,
					width = "half",
				},
				{
					itemId = 45834,
					type = "checkbox",
					name = UCV:GetName(45834),
					getFunc = function() return UCV:ListContains(45834) end,
					setFunc = function(value) UCV:SetItem(value, 45834) end,
					width = "half",
				},
				{
					itemId = 45843,
					type = "checkbox",
					name = UCV:GetName(45843),
					getFunc = function() return UCV:ListContains(45843) end,
					setFunc = function(value) UCV:SetItem(value, 45843) end,
					width = "half",
				},
				{
					itemId = 45846,
					type = "checkbox",
					name = UCV:GetName(45846),
					getFunc = function() return UCV:ListContains(45846) end,
					setFunc = function(value) UCV:SetItem(value, 45846) end,
					width = "half",
				},
				{
					itemId = 45838,
					type = "checkbox",
					name = UCV:GetName(45838),
					getFunc = function() return UCV:ListContains(45838) end,
					setFunc = function(value) UCV:SetItem(value, 45838) end,
					width = "half",
				},
				{
					itemId = 45847,
					type = "checkbox",
					name = UCV:GetName(45847),
					getFunc = function() return UCV:ListContains(45847) end,
					setFunc = function(value) UCV:SetItem(value, 45847) end,
					width = "half",
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_EN_4),
			controls = {
				{
					itemId = 45850,
					type = "checkbox",
					name = UCV:GetName(45850),
					getFunc = function() return UCV:ListContains(45850) end,
					setFunc = function(value) UCV:SetItem(value, 45850) end,
					width = "half",
				},
				{
					itemId = 45851,
					type = "checkbox",
					name = UCV:GetName(45851),
					getFunc = function() return UCV:ListContains(45851) end,
					setFunc = function(value) UCV:SetItem(value, 45851) end,
					width = "half",
				},
				{
					itemId = 45852,
					type = "checkbox",
					name = UCV:GetName(45852),
					getFunc = function() return UCV:ListContains(45852) end,
					setFunc = function(value) UCV:SetItem(value, 45852) end,
					width = "half",
				},
				{
					itemId = 45853,
					type = "checkbox",
					name = UCV:GetName(45853),
					getFunc = function() return UCV:ListContains(45853) end,
					setFunc = function(value) UCV:SetItem(value, 45853) end,
					width = "half",
				},
				{
					itemId = 45854,
					type = "checkbox",
					name = UCV:GetName(45854),
					getFunc = function() return UCV:ListContains(45854) end,
					setFunc = function(value) UCV:SetItem(value, 45854) end,
					width = "half",
				},
			},
		},
		
		--Provisioning Materials Settings
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MATS_PV_1)),
			width = "full",
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_PV_2),
			controls = {
				{
					type = "submenu",
					name = GetString(UCV_STG_MATS_PV_3),
					controls = {
						{
							itemId = 33753,
							type = "checkbox",
							name = UCV:GetName(33753),
							getFunc = function() return UCV:ListContains(33753) end,
							setFunc = function(value) UCV:SetItem(value, 33753) end,
							width = "half",
						},
						{
							itemId = 28609,
							type = "checkbox",
							name = UCV:GetName(28609),
							getFunc = function() return UCV:ListContains(28609) end,
							setFunc = function(value) UCV:SetItem(value, 28609) end,
							width = "half",
						},
						{
							itemId = 34321,
							type = "checkbox",
							name = UCV:GetName(34321),
							getFunc = function() return UCV:ListContains(34321) end,
							setFunc = function(value) UCV:SetItem(value, 34321) end,
							width = "half",
						},
						{
							itemId = 33752,
							type = "checkbox",
							name = UCV:GetName(33752),
							getFunc = function() return UCV:ListContains(33752) end,
							setFunc = function(value) UCV:SetItem(value, 33752) end,
							width = "half",
						},
						{
							itemId = 33756,
							type = "checkbox",
							name = UCV:GetName(33756),
							getFunc = function() return UCV:ListContains(33756) end,
							setFunc = function(value) UCV:SetItem(value, 33756) end,
							width = "half",
						},
						{
							itemId = 33754,
							type = "checkbox",
							name = UCV:GetName(33754),
							getFunc = function() return UCV:ListContains(33754) end,
							setFunc = function(value) UCV:SetItem(value, 33754) end,
							width = "half",
						},
					},
				},
				{
					type = "submenu",
					name = GetString(UCV_STG_MATS_PV_4),
					controls = {
						{
							itemId = 34311,
							type = "checkbox",
							name = UCV:GetName(34311),
							getFunc = function() return UCV:ListContains(34311) end,
							setFunc = function(value) UCV:SetItem(value, 34311) end,
							width = "half",
						},
						{
							itemId = 33755,
							type = "checkbox",
							name = UCV:GetName(33755),
							getFunc = function() return UCV:ListContains(33755) end,
							setFunc = function(value) UCV:SetItem(value, 33755) end,
							width = "half",
						},
						{
							itemId = 28610,
							type = "checkbox",
							name = UCV:GetName(28610),
							getFunc = function() return UCV:ListContains(28610) end,
							setFunc = function(value) UCV:SetItem(value, 28610) end,
							width = "half",
						},
						{
							itemId = 34308,
							type = "checkbox",
							name = UCV:GetName(34308),
							getFunc = function() return UCV:ListContains(34308) end,
							setFunc = function(value) UCV:SetItem(value, 34308) end,
							width = "half",
						},
						{
							itemId = 34305,
							type = "checkbox",
							name = UCV:GetName(34305),
							getFunc = function() return UCV:ListContains(34305) end,
							setFunc = function(value) UCV:SetItem(value, 34305) end,
							width = "half",
						},
						{
							itemId = 28603,
							type = "checkbox",
							name = UCV:GetName(28603),
							getFunc = function() return UCV:ListContains(28603) end,
							setFunc = function(value) UCV:SetItem(value, 28603) end,
							width = "half",
						},
					},
				},
				{
					type = "submenu",
					name = GetString(UCV_STG_MATS_PV_5),
					controls = {
						{
							itemId = 34309,
							type = "checkbox",
							name = UCV:GetName(34309),
							getFunc = function() return UCV:ListContains(34309) end,
							setFunc = function(value) UCV:SetItem(value, 34309) end,
							width = "half",
						},
						{
							itemId = 34324,
							type = "checkbox",
							name = UCV:GetName(34324),
							getFunc = function() return UCV:ListContains(34324) end,
							setFunc = function(value) UCV:SetItem(value, 34324) end,
							width = "half",
						},
						{
							itemId = 34323,
							type = "checkbox",
							name = UCV:GetName(34323),
							getFunc = function() return UCV:ListContains(34323) end,
							setFunc = function(value) UCV:SetItem(value, 34323) end,
							width = "half",
						},
						{
							itemId = 28604,
							type = "checkbox",
							name = UCV:GetName(28604),
							getFunc = function() return UCV:ListContains(28604) end,
							setFunc = function(value) UCV:SetItem(value, 28604) end,
							width = "half",
						},
						{
							itemId = 33758,
							type = "checkbox",
							name = UCV:GetName(33758),
							getFunc = function() return UCV:ListContains(33758) end,
							setFunc = function(value) UCV:SetItem(value, 33758) end,
							width = "half",
						},
						{
							itemId = 34307,
							type = "checkbox",
							name = UCV:GetName(34307),
							getFunc = function() return UCV:ListContains(34307) end,
							setFunc = function(value) UCV:SetItem(value, 34307) end,
							width = "half",
						},
					},
				},
				{
					type = "submenu",
					name = GetString(UCV_STG_MATS_PV_6),
					controls = {
						{
							itemId = 27057,
							type = "checkbox",
							name = UCV:GetName(27057),
							getFunc = function() return UCV:ListContains(27057) end,
							setFunc = function(value) UCV:SetItem(value, 27057) end,
							width = "half",
						},
						{
							itemId = 27100,
							type = "checkbox",
							name = UCV:GetName(27100),
							getFunc = function() return UCV:ListContains(27100) end,
							setFunc = function(value) UCV:SetItem(value, 27100) end,
							width = "half",
						},
						{
							itemId = 26954,
							type = "checkbox",
							name = UCV:GetName(26954),
							getFunc = function() return UCV:ListContains(26954) end,
							setFunc = function(value) UCV:SetItem(value, 26954) end,
							width = "half",
						},
						{
							itemId = 27064,
							type = "checkbox",
							name = UCV:GetName(27064),
							getFunc = function() return UCV:ListContains(27064) end,
							setFunc = function(value) UCV:SetItem(value, 27064) end,
							width = "half",
						},
						{
							itemId = 27063,
							type = "checkbox",
							name = UCV:GetName(27063),
							getFunc = function() return UCV:ListContains(27063) end,
							setFunc = function(value) UCV:SetItem(value, 27063) end,
							width = "half",
						},
						{
							itemId = 27058,
							type = "checkbox",
							name = UCV:GetName(27058),
							getFunc = function() return UCV:ListContains(27058) end,
							setFunc = function(value) UCV:SetItem(value, 27058) end,
							width = "half",
						},
					},
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_PV_7),
			controls = {
				{
					type = "submenu",
					name = GetString(UCV_STG_MATS_PV_8),
					controls = {
						{
							itemId = 34329,
							type = "checkbox",
							name = UCV:GetName(34329),
							getFunc = function() return UCV:ListContains(34329) end,
							setFunc = function(value) UCV:SetItem(value, 34329) end,
							width = "half",
						},
						{
							itemId = 29030,
							type = "checkbox",
							name = UCV:GetName(29030),
							getFunc = function() return UCV:ListContains(29030) end,
							setFunc = function(value) UCV:SetItem(value, 29030) end,
							width = "half",
						},
						{
							itemId = 28639,
							type = "checkbox",
							name = UCV:GetName(28639),
							getFunc = function() return UCV:ListContains(28639) end,
							setFunc = function(value) UCV:SetItem(value, 28639) end,
							width = "half",
						},
						{
							itemId = 34345,
							type = "checkbox",
							name = UCV:GetName(34345),
							getFunc = function() return UCV:ListContains(34345) end,
							setFunc = function(value) UCV:SetItem(value, 34345) end,
							width = "half",
						},
						{
							itemId = 34348,
							type = "checkbox",
							name = UCV:GetName(34348),
							getFunc = function() return UCV:ListContains(34348) end,
							setFunc = function(value) UCV:SetItem(value, 34348) end,
							width = "half",
						},
						{
							itemId = 33774,
							type = "checkbox",
							name = UCV:GetName(33774),
							getFunc = function() return UCV:ListContains(33774) end,
							setFunc = function(value) UCV:SetItem(value, 33774) end,
							width = "half",
						},
						
					},
				},
				{
					type = "submenu",
					name = GetString(UCV_STG_MATS_PV_9),
					controls = {
						{
							itemId = 34334,
							type = "checkbox",
							name = UCV:GetName(34334),
							getFunc = function() return UCV:ListContains(34334) end,
							setFunc = function(value) UCV:SetItem(value, 34334) end,
							width = "half",
						},
						{
							itemId = 33768,
							type = "checkbox",
							name = UCV:GetName(33768),
							getFunc = function() return UCV:ListContains(33768) end,
							setFunc = function(value) UCV:SetItem(value, 33768) end,
							width = "half",
						},
						{
							itemId = 33771,
							type = "checkbox",
							name = UCV:GetName(33771),
							getFunc = function() return UCV:ListContains(33771) end,
							setFunc = function(value) UCV:SetItem(value, 33771) end,
							width = "half",
						},
						{
							itemId = 34330,
							type = "checkbox",
							name = UCV:GetName(34330),
							getFunc = function() return UCV:ListContains(34330) end,
							setFunc = function(value) UCV:SetItem(value, 34330) end,
							width = "half",
						},
						{
							itemId = 33773,
							type = "checkbox",
							name = UCV:GetName(33773),
							getFunc = function() return UCV:ListContains(33773) end,
							setFunc = function(value) UCV:SetItem(value, 33773) end,
							width = "half",
						},
						{
							itemId = 28636,
							type = "checkbox",
							name = UCV:GetName(28636),
							getFunc = function() return UCV:ListContains(28636) end,
							setFunc = function(value) UCV:SetItem(value, 28636) end,
							width = "half",
						},
						
					},
				},
				{
					type = "submenu",
					name = GetString(UCV_STG_MATS_PV_10),
					controls = {
						{
							itemId = 34349,
							type = "checkbox",
							name = UCV:GetName(34349),
							getFunc = function() return UCV:ListContains(34349) end,
							setFunc = function(value) UCV:SetItem(value, 34349) end,
							width = "half",
						},
						{
							itemId = 33772,
							type = "checkbox",
							name = UCV:GetName(33772),
							getFunc = function() return UCV:ListContains(33772) end,
							setFunc = function(value) UCV:SetItem(value, 33772) end,
							width = "half",
						},
						{
							itemId = 34346,
							type = "checkbox",
							name = UCV:GetName(34346),
							getFunc = function() return UCV:ListContains(34346) end,
							setFunc = function(value) UCV:SetItem(value, 34346) end,
							width = "half",
						},
						{
							itemId = 34347,
							type = "checkbox",
							name = UCV:GetName(34347),
							getFunc = function() return UCV:ListContains(34347) end,
							setFunc = function(value) UCV:SetItem(value, 34347) end,
							width = "half",
						},
						{
							itemId = 34333,
							type = "checkbox",
							name = UCV:GetName(34333),
							getFunc = function() return UCV:ListContains(34333) end,
							setFunc = function(value) UCV:SetItem(value, 34333) end,
							width = "half",
						},
						{
							itemId = 34335,
							type = "checkbox",
							name = UCV:GetName(34335),
							getFunc = function() return UCV:ListContains(34335) end,
							setFunc = function(value) UCV:SetItem(value, 34335) end,
							width = "half",
						},
						
					},
				},
				{
					type = "submenu",
					name = GetString(UCV_STG_MATS_PV_6),
					controls = {
						{
							itemId = 27052,
							type = "checkbox",
							name = UCV:GetName(27052),
							getFunc = function() return UCV:ListContains(27052) end,
							setFunc = function(value) UCV:SetItem(value, 27052) end,
							width = "half",
						},
						{
							itemId = 27043,
							type = "checkbox",
							name = UCV:GetName(27043),
							getFunc = function() return UCV:ListContains(27043) end,
							setFunc = function(value) UCV:SetItem(value, 27043) end,
							width = "half",
						},
						{
							itemId = 27035,
							type = "checkbox",
							name = UCV:GetName(27035),
							getFunc = function() return UCV:ListContains(27035) end,
							setFunc = function(value) UCV:SetItem(value, 27035) end,
							width = "half",
						},
						{
							itemId = 27049,
							type = "checkbox",
							name = UCV:GetName(27049),
							getFunc = function() return UCV:ListContains(27049) end,
							setFunc = function(value) UCV:SetItem(value, 27049) end,
							width = "half",
						},
						{
							itemId = 27048,
							type = "checkbox",
							name = UCV:GetName(27048),
							getFunc = function() return UCV:ListContains(27048) end,
							setFunc = function(value) UCV:SetItem(value, 27048) end,
							width = "half",
						},
						{
							itemId = 28666,
							type = "checkbox",
							name = UCV:GetName(28666),
							getFunc = function() return UCV:ListContains(28666) end,
							setFunc = function(value) UCV:SetItem(value, 28666) end,
							width = "half",
						},
					},
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_PV_11),
			controls = {
				{
					itemId = 26802,
					type = "checkbox",
					name = UCV:GetName(26802),
					getFunc = function() return UCV:ListContains(26802) end,
					setFunc = function(value) UCV:SetItem(value, 26802) end,
					width = "half",
				},
				{
					itemId = 27059,
					type = "checkbox",
					name = UCV:GetName(27059),
					getFunc = function() return UCV:ListContains(27059) end,
					setFunc = function(value) UCV:SetItem(value, 27059) end,
					width = "half",
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_PV_12),
			controls = {
				{
					itemId = 120894,
					type = "checkbox",
					name = UCV:GetName(120894),
					getFunc = function() return UCV:ListContains(120894) end,
					setFunc = function(value) UCV:SetItem(value, 120894) end,
					width = "half",
				},
				{
					itemId = 64222,
					type = "checkbox",
					name = UCV:GetName(64222),
					getFunc = function() return UCV:ListContains(64222) end,
					setFunc = function(value) UCV:SetItem(value, 64222) end,
					width = "half",
				},
				{
					itemId = 115026,
					type = "checkbox",
					name = UCV:GetName(115026),
					getFunc = function() return UCV:ListContains(115026) end,
					setFunc = function(value) UCV:SetItem(value, 115026) end,
					width = "half",
				},
				{
					itemId = 120078,
					type = "checkbox",
					name = UCV:GetName(120078),
					getFunc = function() return UCV:ListContains(120078) end,
					setFunc = function(value) UCV:SetItem(value, 120078) end,
					width = "half",
				},
			},
		},
		
		--Homestead/Furnishing Materials Settings
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MATS_HS_1)),
			width = "full",
		},
		{
			itemId = 114893,
			type = "checkbox",
			name = UCV:GetName(114893),
			getFunc = function() return UCV:ListContains(114893) end,
			setFunc = function(value) UCV:SetItem(value, 114893) end,
			width = "half",
		},
		{
			itemId = 114890,
			type = "checkbox",
			name = UCV:GetName(114890),
			getFunc = function() return UCV:ListContains(114890) end,
			setFunc = function(value) UCV:SetItem(value, 114890) end,
			width = "half",
		},
		{
			itemId = 114891,
			type = "checkbox",
			name = UCV:GetName(114891),
			getFunc = function() return UCV:ListContains(114891) end,
			setFunc = function(value) UCV:SetItem(value, 114891) end,
			width = "half",
		},
		{
			itemId = 114894,
			type = "checkbox",
			name = UCV:GetName(114894),
			getFunc = function() return UCV:ListContains(114894) end,
			setFunc = function(value) UCV:SetItem(value, 114894) end,
			width = "half",
		},
		{
			itemId = 114895,
			type = "checkbox",
			name = UCV:GetName(114895),
			getFunc = function() return UCV:ListContains(114895) end,
			setFunc = function(value) UCV:SetItem(value, 114895) end,
			width = "half",
		},
		{
			itemId = 114892,
			type = "checkbox",
			name = UCV:GetName(114892),
			getFunc = function() return UCV:ListContains(114892) end,
			setFunc = function(value) UCV:SetItem(value, 114892) end,
			width = "half",
		},
		{
			itemId = 114889,
			type = "checkbox",
			name = UCV:GetName(114889),
			getFunc = function() return UCV:ListContains(114889) end,
			setFunc = function(value) UCV:SetItem(value, 114889) end,
			width = "half",
		},
		{
			itemId = 126581,
			type = "checkbox",
			name = UCV:GetName(126581),
			getFunc = function() return UCV:ListContains(126581) end,
			setFunc = function(value) UCV:SetItem(value, 126581) end,
			width = "half",
		},
		{
			itemId = 135161,
			type = "checkbox",
			name = UCV:GetName(135161),
			getFunc = function() return UCV:ListContains(135161) end,
			setFunc = function(value) UCV:SetItem(value, 135161) end,
			width = "half",
		},
		
		--Trait Stone Materials Settings
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MATS_TS_1)),
			width = "full",
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_TS_2),
			controls = {
				{
					itemId = 23221,
					type = "checkbox",
					name = UCV:GetName(23221),
					getFunc = function() return UCV:ListContains(23221) end,
					setFunc = function(value) UCV:SetItem(value, 23221) end,
					width = "half",
				},
				{
					itemId = 30219,
					type = "checkbox",
					name = UCV:GetName(30219),
					getFunc = function() return UCV:ListContains(30219) end,
					setFunc = function(value) UCV:SetItem(value, 30219) end,
					width = "half",
				},
				{
					itemId = 23219,
					type = "checkbox",
					name = UCV:GetName(23219),
					getFunc = function() return UCV:ListContains(23219) end,
					setFunc = function(value) UCV:SetItem(value, 23219) end,
					width = "half",
				},
				{
					itemId = 4442,
					type = "checkbox",
					name = UCV:GetName(4442),
					getFunc = function() return UCV:ListContains(4442) end,
					setFunc = function(value) UCV:SetItem(value, 4442) end,
					width = "half",
				},
				{
					itemId = 56862,
					type = "checkbox",
					name = UCV:GetName(56862),
					getFunc = function() return UCV:ListContains(56862) end,
					setFunc = function(value) UCV:SetItem(value, 56862) end,
					width = "half",
				},
				{
					itemId = 23171,
					type = "checkbox",
					name = UCV:GetName(23171),
					getFunc = function() return UCV:ListContains(23171) end,
					setFunc = function(value) UCV:SetItem(value, 23171) end,
					width = "half",
				},
				{
					itemId = 4456,
					type = "checkbox",
					name = UCV:GetName(4456),
					getFunc = function() return UCV:ListContains(4456) end,
					setFunc = function(value) UCV:SetItem(value, 4456) end,
					width = "half",
				},
				{
					itemId = 23173,
					type = "checkbox",
					name = UCV:GetName(23173),
					getFunc = function() return UCV:ListContains(23173) end,
					setFunc = function(value) UCV:SetItem(value, 23173) end,
					width = "half",
				},
				{
					itemId = 30221,
					type = "checkbox",
					name = UCV:GetName(30221),
					getFunc = function() return UCV:ListContains(30221) end,
					setFunc = function(value) UCV:SetItem(value, 30221) end,
					width = "half",
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_TS_3),
			controls = {
				{
					itemId = 23204,
					type = "checkbox",
					name = UCV:GetName(23204),
					getFunc = function() return UCV:ListContains(23204) end,
					setFunc = function(value) UCV:SetItem(value, 23204) end,
					width = "half",
				},
				{
					itemId = 23165,
					type = "checkbox",
					name = UCV:GetName(23165),
					getFunc = function() return UCV:ListContains(23165) end,
					setFunc = function(value) UCV:SetItem(value, 23165) end,
					width = "half",
				},
				{
					itemId = 23203,
					type = "checkbox",
					name = UCV:GetName(23203),
					getFunc = function() return UCV:ListContains(23203) end,
					setFunc = function(value) UCV:SetItem(value, 23203) end,
					width = "half",
				},
				{
					itemId = 16291,
					type = "checkbox",
					name = UCV:GetName(16291),
					getFunc = function() return UCV:ListContains(16291) end,
					setFunc = function(value) UCV:SetItem(value, 16291) end,
					width = "half",
				},
				{
					itemId = 23149,
					type = "checkbox",
					name = UCV:GetName(23149),
					getFunc = function() return UCV:ListContains(23149) end,
					setFunc = function(value) UCV:SetItem(value, 23149) end,
					width = "half",
				},
				{
					itemId = 810,
					type = "checkbox",
					name = UCV:GetName(810),
					getFunc = function() return UCV:ListContains(810) end,
					setFunc = function(value) UCV:SetItem(value, 810) end,
					width = "half",
				},
				{
					itemId = 56863,
					type = "checkbox",
					name = UCV:GetName(56863),
					getFunc = function() return UCV:ListContains(56863) end,
					setFunc = function(value) UCV:SetItem(value, 56863) end,
					width = "half",
				},
				{
					itemId = 4486,
					type = "checkbox",
					name = UCV:GetName(4486),
					getFunc = function() return UCV:ListContains(4486) end,
					setFunc = function(value) UCV:SetItem(value, 4486) end,
					width = "half",
				},
				{
					itemId = 813,
					type = "checkbox",
					name = UCV:GetName(813),
					getFunc = function() return UCV:ListContains(813) end,
					setFunc = function(value) UCV:SetItem(value, 813) end,
					width = "half",
				},
			},
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_TS_4),
			controls = {
				{
					itemId = 135158,
					type = "checkbox",
					name = UCV:GetName(135158),
					getFunc = function() return UCV:ListContains(135158) end,
					setFunc = function(value) UCV:SetItem(value, 135158) end,
					width = "half",
				},
				{
					itemId = 135155,
					type = "checkbox",
					name = UCV:GetName(135155),
					getFunc = function() return UCV:ListContains(135155) end,
					setFunc = function(value) UCV:SetItem(value, 135155) end,
					width = "half",
				},
				{
					itemId = 135159,
					type = "checkbox",
					name = UCV:GetName(135159),
					getFunc = function() return UCV:ListContains(135159) end,
					setFunc = function(value) UCV:SetItem(value, 135159) end,
					width = "half",
				},
				{
					itemId = 135156,
					type = "checkbox",
					name = UCV:GetName(135156),
					getFunc = function() return UCV:ListContains(135156) end,
					setFunc = function(value) UCV:SetItem(value, 135156) end,
					width = "half",
				},
				{
					itemId = 135160,
					type = "checkbox",
					name = UCV:GetName(135160),
					getFunc = function() return UCV:ListContains(135160) end,
					setFunc = function(value) UCV:SetItem(value, 135160) end,
					width = "half",
				},
				{
					itemId = 135157,
					type = "checkbox",
					name = UCV:GetName(135157),
					getFunc = function() return UCV:ListContains(135157) end,
					setFunc = function(value) UCV:SetItem(value, 135157) end,
					width = "half",
				},
				{
					itemId = 139415,
					type = "checkbox",
					name = UCV:GetName(139415),
					getFunc = function() return UCV:ListContains(139415) end,
					setFunc = function(value) UCV:SetItem(value, 139415) end,
					width = "half",
				},
				{
					itemId = 139409,
					type = "checkbox",
					name = UCV:GetName(139409),
					getFunc = function() return UCV:ListContains(139409) end,
					setFunc = function(value) UCV:SetItem(value, 139409) end,
					width = "half",
				},
				{
					itemId = 139417,
					type = "checkbox",
					name = UCV:GetName(139417),
					getFunc = function() return UCV:ListContains(139417) end,
					setFunc = function(value) UCV:SetItem(value, 139417) end,
					width = "half",
				},
				{
					itemId = 139411,
					type = "checkbox",
					name = UCV:GetName(139411),
					getFunc = function() return UCV:ListContains(139411) end,
					setFunc = function(value) UCV:SetItem(value, 139411) end,
					width = "half",
				},
				{
					itemId = 139416,
					type = "checkbox",
					name = UCV:GetName(139416),
					getFunc = function() return UCV:ListContains(139416) end,
					setFunc = function(value) UCV:SetItem(value, 139416) end,
					width = "half",
				},
				{
					itemId = 139410,
					type = "checkbox",
					name = UCV:GetName(139410),
					getFunc = function() return UCV:ListContains(139410) end,
					setFunc = function(value) UCV:SetItem(value, 139410) end,
					width = "half",
				},
				{
					itemId = 139418,
					type = "checkbox",
					name = UCV:GetName(139418),
					getFunc = function() return UCV:ListContains(139418) end,
					setFunc = function(value) UCV:SetItem(value, 139418) end,
					width = "half",
				},
				{
					itemId = 139412,
					type = "checkbox",
					name = UCV:GetName(139412),
					getFunc = function() return UCV:ListContains(139412) end,
					setFunc = function(value) UCV:SetItem(value, 139412) end,
					width = "half",
				},
				{
					itemId = 139419,
					type = "checkbox",
					name = UCV:GetName(139419),
					getFunc = function() return UCV:ListContains(139419) end,
					setFunc = function(value) UCV:SetItem(value, 139419) end,
					width = "half",
				},
				{
					itemId = 139413,
					type = "checkbox",
					name = UCV:GetName(139413),
					getFunc = function() return UCV:ListContains(139413) end,
					setFunc = function(value) UCV:SetItem(value, 139413) end,
					width = "half",
				},
				{
					itemId = 139420,
					type = "checkbox",
					name = UCV:GetName(139420),
					getFunc = function() return UCV:ListContains(139420) end,
					setFunc = function(value) UCV:SetItem(value, 139420) end,
					width = "half",
				},
				{
					itemId = 139414,
					type = "checkbox",
					name = UCV:GetName(139414),
					getFunc = function() return UCV:ListContains(139414) end,
					setFunc = function(value) UCV:SetItem(value, 139414) end,
					width = "half",
				},
			},
		},
		
		--Style Stone Materials Settings
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MATS_SS_1)),
			width = "full",
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_SS_2),
			controls = {
								{
					itemId = 33252,
					type = "checkbox",
					name = UCV:GetName(33252),
					getFunc = function() return UCV:ListContains(33252) end,
					setFunc = function(value) UCV:SetItem(value, 33252) end,
					width = "half",
				},
				{
					itemId = 33194,
					type = "checkbox",
					name = UCV:GetName(33194),
					getFunc = function() return UCV:ListContains(33194) end,
					setFunc = function(value) UCV:SetItem(value, 33194) end,
					width = "half",
				},
				{
					itemId = 33256,
					type = "checkbox",
					name = UCV:GetName(33256),
					getFunc = function() return UCV:ListContains(33256) end,
					setFunc = function(value) UCV:SetItem(value, 33256) end,
					width = "half",
				},
				{
					itemId = 33150,
					type = "checkbox",
					name = UCV:GetName(33150),
					getFunc = function() return UCV:ListContains(33150) end,
					setFunc = function(value) UCV:SetItem(value, 33150) end,
					width = "half",
				},
				{
					itemId = 33257,
					type = "checkbox",
					name = UCV:GetName(33257),
					getFunc = function() return UCV:ListContains(33257) end,
					setFunc = function(value) UCV:SetItem(value, 33257) end,
					width = "half",
				},
				{
					itemId = 33251,
					type = "checkbox",
					name = UCV:GetName(33251),
					getFunc = function() return UCV:ListContains(33251) end,
					setFunc = function(value) UCV:SetItem(value, 33251) end,
					width = "half",
				},
				{
					itemId = 33255,
					type = "checkbox",
					name = UCV:GetName(33255),
					getFunc = function() return UCV:ListContains(33255) end,
					setFunc = function(value) UCV:SetItem(value, 33255) end,
					width = "half",
				},
				{
					itemId = 33253,
					type = "checkbox",
					name = UCV:GetName(33253),
					getFunc = function() return UCV:ListContains(33253) end,
					setFunc = function(value) UCV:SetItem(value, 33253) end,
					width = "half",
				},
				{
					itemId = 33258,
					type = "checkbox",
					name = UCV:GetName(33258),
					getFunc = function() return UCV:ListContains(33258) end,
					setFunc = function(value) UCV:SetItem(value, 33258) end,
					width = "half",
				},
				{
					itemId = 33254,
					type = "checkbox",
					name = UCV:GetName(33254),
					getFunc = function() return UCV:ListContains(33254) end,
					setFunc = function(value) UCV:SetItem(value, 33254) end,
					width = "half",
				},
				{
					itemId = 46152,
					type = "checkbox",
					name = UCV:GetName(46152),
					getFunc = function() return UCV:ListContains(46152) end,
					setFunc = function(value) UCV:SetItem(value, 46152) end,
					width = "half",
				},
				{
					itemId = 46149,
					type = "checkbox",
					name = UCV:GetName(46149),
					getFunc = function() return UCV:ListContains(46149) end,
					setFunc = function(value) UCV:SetItem(value, 46149) end,
					width = "half",
				},
				{
					itemId = 46150,
					type = "checkbox",
					name = UCV:GetName(46150),
					getFunc = function() return UCV:ListContains(46150) end,
					setFunc = function(value) UCV:SetItem(value, 46150) end,
					width = "half",
				},
				{
					itemId = 46151,
					type = "checkbox",
					name = UCV:GetName(46151),
					getFunc = function() return UCV:ListContains(46151) end,
					setFunc = function(value) UCV:SetItem(value, 46151) end,
					width = "half",
				},
				{
					itemId = 57665,
					type = "checkbox",
					name = UCV:GetName(57665),
					getFunc = function() return UCV:ListContains(57665) end,
					setFunc = function(value) UCV:SetItem(value, 57665) end,
					width = "half",
				},
				{
					itemId = 57587,
					type = "checkbox",
					name = UCV:GetName(57587),
					getFunc = function() return UCV:ListContains(57587) end,
					setFunc = function(value) UCV:SetItem(value, 57587) end,
					width = "half",
				},
				{
					itemId = 59923,
					type = "checkbox",
					name = UCV:GetName(59923),
					getFunc = function() return UCV:ListContains(59923) end,
					setFunc = function(value) UCV:SetItem(value, 59923) end,
					width = "half",
				},
				{
					itemId = 59922,
					type = "checkbox",
					name = UCV:GetName(59922),
					getFunc = function() return UCV:ListContains(59922) end,
					setFunc = function(value) UCV:SetItem(value, 59922) end,
					width = "half",
				},
				{
					itemId = 64690,
					type = "checkbox",
					name = UCV:GetName(64690),
					getFunc = function() return UCV:ListContains(64690) end,
					setFunc = function(value) UCV:SetItem(value, 64690) end,
					width = "half",
				},
				{
					itemId = 64689,
					type = "checkbox",
					name = UCV:GetName(64689),
					getFunc = function() return UCV:ListContains(64689) end,
					setFunc = function(value) UCV:SetItem(value, 64689) end,
					width = "half",
				},
				{
					itemId = 64688,
					type = "checkbox",
					name = UCV:GetName(64688),
					getFunc = function() return UCV:ListContains(64688) end,
					setFunc = function(value) UCV:SetItem(value, 64688) end,
					width = "half",
				},
				{
					itemId = 64687,
					type = "checkbox",
					name = UCV:GetName(64687),
					getFunc = function() return UCV:ListContains(64687) end,
					setFunc = function(value) UCV:SetItem(value, 64687) end,
					width = "half",
				},
				{
					itemId = 69556,
					type = "checkbox",
					name = UCV:GetName(69556),
					getFunc = function() return UCV:ListContains(69556) end,
					setFunc = function(value) UCV:SetItem(value, 69556) end,
					width = "half",
				},
				{
					itemId = 69555,
					type = "checkbox",
					name = UCV:GetName(69555),
					getFunc = function() return UCV:ListContains(69555) end,
					setFunc = function(value) UCV:SetItem(value, 69555) end,
					width = "half",
				},
				{
					itemId = 75371,
					type = "checkbox",
					name = UCV:GetName(75371),
					getFunc = function() return UCV:ListContains(75371) end,
					setFunc = function(value) UCV:SetItem(value, 75371) end,
					width = "half",
				},
				{
					itemId = 75370,
					type = "checkbox",
					name = UCV:GetName(75370),
					getFunc = function() return UCV:ListContains(75370) end,
					setFunc = function(value) UCV:SetItem(value, 75370) end,
					width = "half",
				},
				{
					itemId = 76911,
					type = "checkbox",
					name = UCV:GetName(76911),
					getFunc = function() return UCV:ListContains(76911) end,
					setFunc = function(value) UCV:SetItem(value, 76911) end,
					width = "half",
				},
				{
					itemId = 76910,
					type = "checkbox",
					name = UCV:GetName(76910),
					getFunc = function() return UCV:ListContains(76910) end,
					setFunc = function(value) UCV:SetItem(value, 76910) end,
					width = "half",
				},
				{
					itemId = 81995,
					type = "checkbox",
					name = UCV:GetName(81995),
					getFunc = function() return UCV:ListContains(81995) end,
					setFunc = function(value) UCV:SetItem(value, 81995) end,
					width = "half",
				},
				{
					itemId = 81994,
					type = "checkbox",
					name = UCV:GetName(81994),
					getFunc = function() return UCV:ListContains(81994) end,
					setFunc = function(value) UCV:SetItem(value, 81994) end,
					width = "half",
				},
				{
					itemId = 81997,
					type = "checkbox",
					name = UCV:GetName(81997),
					getFunc = function() return UCV:ListContains(81997) end,
					setFunc = function(value) UCV:SetItem(value, 81997) end,
					width = "half",
				},
				{
					itemId = 81996,
					type = "checkbox",
					name = UCV:GetName(81996),
					getFunc = function() return UCV:ListContains(81996) end,
					setFunc = function(value) UCV:SetItem(value, 81996) end,
					width = "half",
				},
				{
					itemId = 64713,
					type = "checkbox",
					name = UCV:GetName(64713),
					getFunc = function() return UCV:ListContains(64713) end,
					setFunc = function(value) UCV:SetItem(value, 64713) end,
					width = "half",
				},
				{
					itemId = 64685,
					type = "checkbox",
					name = UCV:GetName(64685),
					getFunc = function() return UCV:ListContains(64685) end,
					setFunc = function(value) UCV:SetItem(value, 64685) end,
					width = "half",
				},
				{
					itemId = 71582,
					type = "checkbox",
					name = UCV:GetName(71582),
					getFunc = function() return UCV:ListContains(71582) end,
					setFunc = function(value) UCV:SetItem(value, 71582) end,
					width = "half",
				},
				{
					itemId = 71584,
					type = "checkbox",
					name = UCV:GetName(71584),
					getFunc = function() return UCV:ListContains(71584) end,
					setFunc = function(value) UCV:SetItem(value, 71584) end,
					width = "half",
				},
				{
					itemId = 71538,
					type = "checkbox",
					name = UCV:GetName(71538),
					getFunc = function() return UCV:ListContains(71538) end,
					setFunc = function(value) UCV:SetItem(value, 71538) end,
					width = "half",
				},
				{
					itemId = 71738,
					type = "checkbox",
					name = UCV:GetName(71738),
					getFunc = function() return UCV:ListContains(71738) end,
					setFunc = function(value) UCV:SetItem(value, 71738) end,
					width = "half",
				},
				{
					itemId = 71742,
					type = "checkbox",
					name = UCV:GetName(71742),
					getFunc = function() return UCV:ListContains(71742) end,
					setFunc = function(value) UCV:SetItem(value, 71742) end,
					width = "half",
				},
				{
					itemId = 71740,
					type = "checkbox",
					name = UCV:GetName(71740),
					getFunc = function() return UCV:ListContains(71740) end,
					setFunc = function(value) UCV:SetItem(value, 71740) end,
					width = "half",
				},
				{
					itemId = 71736,
					type = "checkbox",
					name = UCV:GetName(71736),
					getFunc = function() return UCV:ListContains(71736) end,
					setFunc = function(value) UCV:SetItem(value, 71736) end,
					width = "half",
				},
				{
					itemId = 71766,
					type = "checkbox",
					name = UCV:GetName(71766),
					getFunc = function() return UCV:ListContains(71766) end,
					setFunc = function(value) UCV:SetItem(value, 71766) end,
					width = "half",
				},
				{
					itemId = 96388,
					type = "checkbox",
					name = UCV:GetName(96388),
					getFunc = function() return UCV:ListContains(96388) end,
					setFunc = function(value) UCV:SetItem(value, 96388) end,
					width = "half",
				},
				{
					itemId = 76914,
					type = "checkbox",
					name = UCV:GetName(76914),
					getFunc = function() return UCV:ListContains(76914) end,
					setFunc = function(value) UCV:SetItem(value, 76914) end,
					width = "half",
				},
				{
					itemId = 79672,
					type = "checkbox",
					name = UCV:GetName(79672),
					getFunc = function() return UCV:ListContains(79672) end,
					setFunc = function(value) UCV:SetItem(value, 79672) end,
					width = "half",
				},
				{
					itemId = 79304,
					type = "checkbox",
					name = UCV:GetName(79304),
					getFunc = function() return UCV:ListContains(79304) end,
					setFunc = function(value) UCV:SetItem(value, 79304) end,
					width = "half",
				},
				{
					itemId = 82004,
					type = "checkbox",
					name = UCV:GetName(82004),
					getFunc = function() return UCV:ListContains(82004) end,
					setFunc = function(value) UCV:SetItem(value, 82004) end,
					width = "half",
				},
				{
					itemId = 75373,
					type = "checkbox",
					name = UCV:GetName(75373),
					getFunc = function() return UCV:ListContains(75373) end,
					setFunc = function(value) UCV:SetItem(value, 75373) end,
					width = "half",
				},
				{
					itemId = 81998,
					type = "checkbox",
					name = UCV:GetName(81998),
					getFunc = function() return UCV:ListContains(81998) end,
					setFunc = function(value) UCV:SetItem(value, 81998) end,
					width = "half",
				},
				{
					itemId = 82000,
					type = "checkbox",
					name = UCV:GetName(82000),
					getFunc = function() return UCV:ListContains(82000) end,
					setFunc = function(value) UCV:SetItem(value, 82000) end,
					width = "half",
				},
				{
					itemId = 82002,
					type = "checkbox",
					name = UCV:GetName(82002),
					getFunc = function() return UCV:ListContains(82002) end,
					setFunc = function(value) UCV:SetItem(value, 82002) end,
					width = "half",
				},
				{
					itemId = 114983,
					type = "checkbox",
					name = UCV:GetName(114983),
					getFunc = function() return UCV:ListContains(114983) end,
					setFunc = function(value) UCV:SetItem(value, 114983) end,
					width = "half",
				},
				{
					itemId = 114984,
					type = "checkbox",
					name = UCV:GetName(114984),
					getFunc = function() return UCV:ListContains(114984) end,
					setFunc = function(value) UCV:SetItem(value, 114984) end,
					width = "half",
				},
				{
					itemId = 114283,
					type = "checkbox",
					name = UCV:GetName(114283),
					getFunc = function() return UCV:ListContains(114283) end,
					setFunc = function(value) UCV:SetItem(value, 114283) end,
					width = "half",
				},
				{
					itemId = 125476,
					type = "checkbox",
					name = UCV:GetName(125476),
					getFunc = function() return UCV:ListContains(125476) end,
					setFunc = function(value) UCV:SetItem(value, 125476) end,
					width = "half",
				},
				{
					itemId = 121521,
					type = "checkbox",
					name = UCV:GetName(121521),
					getFunc = function() return UCV:ListContains(121521) end,
					setFunc = function(value) UCV:SetItem(value, 121521) end,
					width = "half",
				},
				{
					itemId = 121518,
					type = "checkbox",
					name = UCV:GetName(121518),
					getFunc = function() return UCV:ListContains(121518) end,
					setFunc = function(value) UCV:SetItem(value, 121518) end,
					width = "half",
				},
				{
					itemId = 79305,
					type = "checkbox",
					name = UCV:GetName(79305),
					getFunc = function() return UCV:ListContains(79305) end,
					setFunc = function(value) UCV:SetItem(value, 79305) end,
					width = "half",
				},
				{
					itemId = 121523,
					type = "checkbox",
					name = UCV:GetName(121523),
					getFunc = function() return UCV:ListContains(121523) end,
					setFunc = function(value) UCV:SetItem(value, 121523) end,
					width = "half",
				},
				{
					itemId = 121520,
					type = "checkbox",
					name = UCV:GetName(121520),
					getFunc = function() return UCV:ListContains(121520) end,
					setFunc = function(value) UCV:SetItem(value, 121520) end,
					width = "half",
				},
				{
					itemId = 130058,
					type = "checkbox",
					name = UCV:GetName(130058),
					getFunc = function() return UCV:ListContains(130058) end,
					setFunc = function(value) UCV:SetItem(value, 130058) end,
					width = "half",
				},
				{
					itemId = 130059,
					type = "checkbox",
					name = UCV:GetName(130059),
					getFunc = function() return UCV:ListContains(130059) end,
					setFunc = function(value) UCV:SetItem(value, 130059) end,
					width = "half",
				},
				{
					itemId = 130062,
					type = "checkbox",
					name = UCV:GetName(130062),
					getFunc = function() return UCV:ListContains(130062) end,
					setFunc = function(value) UCV:SetItem(value, 130062) end,
					width = "half",
				},
				{
					itemId = 130060,
					type = "checkbox",
					name = UCV:GetName(130060),
					getFunc = function() return UCV:ListContains(130060) end,
					setFunc = function(value) UCV:SetItem(value, 130060) end,
					width = "half",
				},
				{
					itemId = 121522,
					type = "checkbox",
					name = UCV:GetName(121522),
					getFunc = function() return UCV:ListContains(121522) end,
					setFunc = function(value) UCV:SetItem(value, 121522) end,
					width = "half",
				},
				{
					itemId = 121519,
					type = "checkbox",
					name = UCV:GetName(121519),
					getFunc = function() return UCV:ListContains(121519) end,
					setFunc = function(value) UCV:SetItem(value, 121519) end,
					width = "half",
				},
				{
					itemId = 130061,
					type = "checkbox",
					name = UCV:GetName(130061),
					getFunc = function() return UCV:ListContains(130061) end,
					setFunc = function(value) UCV:SetItem(value, 130061) end,
					width = "half",
				},
				{
					itemId = 132617,
					type = "checkbox",
					name = UCV:GetName(132617),
					getFunc = function() return UCV:ListContains(132617) end,
					setFunc = function(value) UCV:SetItem(value, 132617) end,
					width = "half",
				},
				{
					itemId = 132618,
					type = "checkbox",
					name = UCV:GetName(132618),
					getFunc = function() return UCV:ListContains(132618) end,
					setFunc = function(value) UCV:SetItem(value, 132618) end,
					width = "half",
				},
				{
					itemId = 132619,
					type = "checkbox",
					name = UCV:GetName(132619),
					getFunc = function() return UCV:ListContains(132619) end,
					setFunc = function(value) UCV:SetItem(value, 132619) end,
					width = "half",
				},
				{
					itemId = 132620,
					type = "checkbox",
					name = UCV:GetName(132620),
					getFunc = function() return UCV:ListContains(132620) end,
					setFunc = function(value) UCV:SetItem(value, 132620) end,
					width = "half",
				},
				{
					itemId = 134798,
					type = "checkbox",
					name = UCV:GetName(134798),
					getFunc = function() return UCV:ListContains(134798) end,
					setFunc = function(value) UCV:SetItem(value, 134798) end,
					width = "half",
				},
				{
					itemId = 137951,
					type = "checkbox",
					name = UCV:GetName(137951),
					getFunc = function() return UCV:ListContains(137951) end,
					setFunc = function(value) UCV:SetItem(value, 137951) end,
					width = "half",
				},
				{
					itemId = 137953,
					type = "checkbox",
					name = UCV:GetName(137953),
					getFunc = function() return UCV:ListContains(137953) end,
					setFunc = function(value) UCV:SetItem(value, 137953) end,
					width = "half",
				},
				{
					itemId = 137958,
					type = "checkbox",
					name = UCV:GetName(137958),
					getFunc = function() return UCV:ListContains(137958) end,
					setFunc = function(value) UCV:SetItem(value, 137958) end,
					width = "half",
				},
				{
					itemId = 137957,
					type = "checkbox",
					name = UCV:GetName(137957),
					getFunc = function() return UCV:ListContains(137957) end,
					setFunc = function(value) UCV:SetItem(value, 137957) end,
					width = "half",
				},
				{
					itemId = 137961,
					type = "checkbox",
					name = UCV:GetName(137961),
					getFunc = function() return UCV:ListContains(137961) end,
					setFunc = function(value) UCV:SetItem(value, 137961) end,
					width = "half",
				},
				{
					itemId = 134687,
					type = "checkbox",
					name = UCV:GetName(134687),
					getFunc = function() return UCV:ListContains(134687) end,
					setFunc = function(value) UCV:SetItem(value, 134687) end,
					width = "half",
				},
				{
					itemId = 140267,
					type = "checkbox",
					name = UCV:GetName(140267),
					getFunc = function() return UCV:ListContains(140267) end,
					setFunc = function(value) UCV:SetItem(value, 140267) end,
					width = "half",
				},
				{
					itemId = 141740,
					type = "checkbox",
					name = UCV:GetName(141740),
					getFunc = function() return UCV:ListContains(141740) end,
					setFunc = function(value) UCV:SetItem(value, 141740) end,
					width = "half",
				},
				{
					itemId = 145532,
					type = "checkbox",
					name = UCV:GetName(145532),
					getFunc = function() return UCV:ListContains(145532) end,
					setFunc = function(value) UCV:SetItem(value, 145532) end,
					width = "half",
				},
				{
					itemId = 145533,
					type = "checkbox",
					name = UCV:GetName(145533),
					getFunc = function() return UCV:ListContains(145533) end,
					setFunc = function(value) UCV:SetItem(value, 145533) end,
					width = "half",
				},
				{
					itemId = 147288,
					type = "checkbox",
					name = UCV:GetName(147288),
					getFunc = function() return UCV:ListContains(147288) end,
					setFunc = function(value) UCV:SetItem(value, 147288) end,
					width = "half",
				},
				{
					itemId = 141820,
					type = "checkbox",
					name = UCV:GetName(141820),
					getFunc = function() return UCV:ListContains(141820) end,
					setFunc = function(value) UCV:SetItem(value, 141820) end,
					width = "half",
				},
				{
					itemId = 141821,
					type = "checkbox",
					name = UCV:GetName(141821),
					getFunc = function() return UCV:ListContains(141821) end,
					setFunc = function(value) UCV:SetItem(value, 141821) end,
					width = "half",
				},
				{
					itemId = 151908,
					type = "checkbox",
					name = UCV:GetName(151908),
					getFunc = function() return UCV:ListContains(151908) end,
					setFunc = function(value) UCV:SetItem(value, 151908) end,
					width = "half",
				},
				{
					itemId = 151907,
					type = "checkbox",
					name = UCV:GetName(151907),
					getFunc = function() return UCV:ListContains(151907) end,
					setFunc = function(value) UCV:SetItem(value, 151907) end,
					width = "half",
				},
				{
					itemId = 151622,
					type = "checkbox",
					name = UCV:GetName(151622),
					getFunc = function() return UCV:ListContains(151622) end,
					setFunc = function(value) UCV:SetItem(value, 151622) end,
					width = "half",
				},
				{
					itemId = 151621,
					type = "checkbox",
					name = UCV:GetName(151621),
					getFunc = function() return UCV:ListContains(151621) end,
					setFunc = function(value) UCV:SetItem(value, 151621) end,
					width = "half",
				},
				{
					itemId = 152235,
					type = "checkbox",
					name = UCV:GetName(152235),
					getFunc = function() return UCV:ListContains(152235) end,
					setFunc = function(value) UCV:SetItem(value, 152235) end,
					width = "half",
				},
				{
					itemId = 156571,
					type = "checkbox",
					name = UCV:GetName(156571),
					getFunc = function() return UCV:ListContains(156571) end,
					setFunc = function(value) UCV:SetItem(value, 156571) end,
					width = "half",
				},
				{
					itemId = 156589,
					type = "checkbox",
					name = UCV:GetName(156589),
					getFunc = function() return UCV:ListContains(156589) end,
					setFunc = function(value) UCV:SetItem(value, 156589) end,
					width = "half",
				},
				{
					itemId = 156606,
					type = "checkbox",
					name = UCV:GetName(156606),
					getFunc = function() return UCV:ListContains(156606) end,
					setFunc = function(value) UCV:SetItem(value, 156606) end,
					width = "half",
				},
				{
					itemId = 156624,
					type = "checkbox",
					name = UCV:GetName(156624),
					getFunc = function() return UCV:ListContains(156624) end,
					setFunc = function(value) UCV:SetItem(value, 156624) end,
					width = "half",
				},
				{
					itemId = 156643,
					type = "checkbox",
					name = UCV:GetName(156643),
					getFunc = function() return UCV:ListContains(156643) end,
					setFunc = function(value) UCV:SetItem(value, 156643) end,
					width = "half",
				},
			},
		},
		
		--Fishing Bait Materials Settings
		{
			type = "header",
			name = strF("|cFF0000%s|r", GetString(UCV_STG_MATS_FM_1)),
			width = "full",
		},
		{
			type = "submenu",
			name = GetString(UCV_STG_MATS_FM_2),
			controls = {
				{
					itemId = 42871,
					type = "checkbox",
					name = UCV:GetName(42871),
					getFunc = function() return UCV:ListContains(42871) end,
					setFunc = function(value) UCV:SetItem(value, 42871) end,
					width = "half",
				},
				{
					itemId = 42873,
					type = "checkbox",
					name = UCV:GetName(42873),
					getFunc = function() return UCV:ListContains(42873) end,
					setFunc = function(value) UCV:SetItem(value, 42873) end,
					width = "half",
				},
				{
					itemId = 42870,
					type = "checkbox",
					name = UCV:GetName(42870),
					getFunc = function() return UCV:ListContains(42870) end,
					setFunc = function(value) UCV:SetItem(value, 42870) end,
					width = "half",
				},
				{
					itemId = 42876,
					type = "checkbox",
					name = UCV:GetName(42876),
					getFunc = function() return UCV:ListContains(42876) end,
					setFunc = function(value) UCV:SetItem(value, 42876) end,
					width = "half",
				},
				{
					itemId = 42872,
					type = "checkbox",
					name = UCV:GetName(42872),
					getFunc = function() return UCV:ListContains(42872) end,
					setFunc = function(value) UCV:SetItem(value, 42872) end,
					width = "half",
				},
				{
					itemId = 42874,
					type = "checkbox",
					name = UCV:GetName(42874),
					getFunc = function() return UCV:ListContains(42874) end,
					setFunc = function(value) UCV:SetItem(value, 42874) end,
					width = "half",
				},
				{
					itemId = 42869,
					type = "checkbox",
					name = UCV:GetName(42869),
					getFunc = function() return UCV:ListContains(42869) end,
					setFunc = function(value) UCV:SetItem(value, 42869) end,
					width = "half",
				},
				{
					itemId = 42875,
					type = "checkbox",
					name = UCV:GetName(42875),
					getFunc = function() return UCV:ListContains(42875) end,
					setFunc = function(value) UCV:SetItem(value, 42875) end,
					width = "half",
				},
				{
					itemId = 42877,
					type = "checkbox",
					name = UCV:GetName(42877),
					getFunc = function() return UCV:ListContains(42877) end,
					setFunc = function(value) UCV:SetItem(value, 42877) end,
					width = "half",
				},
			},
		},
	}
	
	UCV_LAM2:RegisterOptionControls(ADDON_NAME, UCV.optionsTable)
end
